
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80007400')]      |
| SIG_REGION                | [('0x80009010', '0x8000a530', '676 dwords')]      |
| COV_LABELS                | xor      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/xor-01.S/xor-01.S    |
| Total Number of coverpoints| 858     |
| Total Coverpoints Hit     | 858      |
| Total Signature Updates   | 675      |
| STAT1                     | 669      |
| STAT2                     | 6      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000924]:xor a2, a0, a1
      [0x80000928]:sd a2, 248(ra)
 -- Signature Address: 0x80009208 Data: 0x5515555555555554
 -- Redundant Coverpoints hit by the op
      - opcode : xor
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val > 0 and rs2_val > 0
      - rs1_val != rs2_val
      - rs2_val == 18014398509481984




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000d34]:xor a2, a0, a1
      [0x80000d38]:sd a2, 560(ra)
 -- Signature Address: 0x80009340 Data: 0x0000008400000000
 -- Redundant Coverpoints hit by the op
      - opcode : xor
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val < 0 and rs2_val < 0
      - rs1_val != rs2_val
      - rs2_val == -17179869185
      - rs1_val == -549755813889




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x8000739c]:xor a2, a0, a1
      [0x800073a0]:sd a2, 1008(ra)
 -- Signature Address: 0x8000a500 Data: 0x0840000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : xor
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val > 0 and rs2_val > 0
      - rs1_val != rs2_val
      - rs2_val == 576460752303423488
      - rs1_val == 18014398509481984




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800073b4]:xor a2, a0, a1
      [0x800073b8]:sd a2, 1016(ra)
 -- Signature Address: 0x8000a508 Data: 0x0000000400000400
 -- Redundant Coverpoints hit by the op
      - opcode : xor
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val < 0 and rs2_val < 0
      - rs1_val != rs2_val
      - rs2_val == -1025
      - rs1_val == -17179869185




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800073c8]:xor a2, a0, a1
      [0x800073cc]:sd a2, 1024(ra)
 -- Signature Address: 0x8000a510 Data: 0xFFFFFFFFFFFFBFFF
 -- Redundant Coverpoints hit by the op
      - opcode : xor
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val != rs2_val
      - rs1_val == 0
      - rs2_val == -16385




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800073e0]:xor a2, a0, a1
      [0x800073e4]:sd a2, 1032(ra)
 -- Signature Address: 0x8000a518 Data: 0x7FFFFFFFFFFFFFF8
 -- Redundant Coverpoints hit by the op
      - opcode : xor
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val > 0 and rs2_val > 0
      - rs1_val != rs2_val
      - rs1_val == (2**(xlen-1)-1)
      - rs1_val == 9223372036854775807






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                                       coverpoints                                                                                                        |                               code                                |
|---:|----------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------|
|   1|[0x80009010]<br>0x0000000000000000|- opcode : xor<br> - rs1 : x19<br> - rs2 : x19<br> - rd : x12<br> - rs1 == rs2 != rd<br> - rs1_val > 0 and rs2_val > 0<br> - rs1_val == rs2_val<br> - rs2_val == 18014398509481984<br> - rs1_val == 18014398509481984<br> |[0x800003a8]:xor a2, s3, s3<br> [0x800003ac]:sd a2, 0(s1)<br>      |
|   2|[0x80009018]<br>0xFFFFFDFFFFFFFFFA|- rs1 : x28<br> - rs2 : x2<br> - rd : x2<br> - rs2 == rd != rs1<br> - rs1_val > 0 and rs2_val < 0<br> - rs1_val != rs2_val<br> - rs2_val == -2199023255553<br>                                                            |[0x800003c0]:xor sp, t3, sp<br> [0x800003c4]:sd sp, 8(s1)<br>      |
|   3|[0x80009020]<br>0x0000000000000000|- rs1 : x31<br> - rs2 : x31<br> - rd : x31<br> - rs1 == rs2 == rd<br> - rs1_val < 0 and rs2_val < 0<br> - rs2_val == -17179869185<br> - rs1_val == -17179869185<br>                                                       |[0x800003e0]:xor t6, t6, t6<br> [0x800003e4]:sd t6, 16(s1)<br>     |
|   4|[0x80009028]<br>0xFF7FFFFFFFEFFFFF|- rs1 : x11<br> - rs2 : x25<br> - rd : x10<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs1_val < 0 and rs2_val > 0<br> - rs2_val == 36028797018963968<br> - rs1_val == -1048577<br>                               |[0x800003f8]:xor a0, a1, s9<br> [0x800003fc]:sd a0, 24(s1)<br>     |
|   5|[0x80009030]<br>0x0000000000000000|- rs1 : x17<br> - rs2 : x20<br> - rd : x17<br> - rs1 == rd != rs2<br> - rs2_val == 134217728<br> - rs1_val == 134217728<br>                                                                                               |[0x80000408]:xor a7, a7, s4<br> [0x8000040c]:sd a7, 32(s1)<br>     |
|   6|[0x80009038]<br>0x8000000000000005|- rs1 : x24<br> - rs2 : x22<br> - rd : x3<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val == -9223372036854775808<br>                                                                                                       |[0x8000041c]:xor gp, s8, s6<br> [0x80000420]:sd gp, 40(s1)<br>     |
|   7|[0x80009040]<br>0x0000000000000002|- rs1 : x8<br> - rs2 : x3<br> - rd : x22<br> - rs2_val == 0<br> - rs1_val == 2<br> - rs1_val==2 and rs2_val==0<br>                                                                                                        |[0x8000042c]:xor s6, fp, gp<br> [0x80000430]:sd s6, 48(s1)<br>     |
|   8|[0x80009048]<br>0x8100000000000000|- rs1 : x10<br> - rs2 : x14<br> - rd : x24<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val == 9223372036854775807<br> - rs1_val == -72057594037927937<br>                                                                  |[0x8000044c]:xor s8, a0, a4<br> [0x80000450]:sd s8, 56(s1)<br>     |
|   9|[0x80009050]<br>0xFFFEFFFFFFFFFFFE|- rs1 : x2<br> - rs2 : x4<br> - rd : x15<br> - rs2_val == 1<br> - rs1_val == -281474976710657<br>                                                                                                                         |[0x80000464]:xor a5, sp, tp<br> [0x80000468]:sd a5, 64(s1)<br>     |
|  10|[0x80009058]<br>0x8000000000000004|- rs1 : x21<br> - rs2 : x29<br> - rd : x23<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == 4<br> - rs1_val == -9223372036854775808<br>                                                                                   |[0x80000478]:xor s7, s5, t4<br> [0x8000047c]:sd s7, 72(s1)<br>     |
|  11|[0x80009060]<br>0xFFFFFFFFFFFFBFFF|- rs1 : x0<br> - rs2 : x7<br> - rd : x11<br> - rs1_val == 0<br> - rs2_val == -16385<br>                                                                                                                                   |[0x8000048c]:xor a1, zero, t2<br> [0x80000490]:sd a1, 80(s1)<br>   |
|  12|[0x80009068]<br>0x0000000000000000|- rs1 : x18<br> - rs2 : x16<br> - rd : x0<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 9223372036854775807<br>                                                                                                       |[0x800004a4]:xor zero, s2, a6<br> [0x800004a8]:sd zero, 88(s1)<br> |
|  13|[0x80009070]<br>0x0000000000800001|- rs1 : x25<br> - rs2 : x27<br> - rd : x14<br> - rs1_val == 1<br> - rs2_val == 8388608<br>                                                                                                                                |[0x800004b4]:xor a4, s9, s11<br> [0x800004b8]:sd a4, 96(s1)<br>    |
|  14|[0x80009078]<br>0x0000002000000002|- rs1 : x30<br> - rs2 : x23<br> - rd : x29<br> - rs2_val == 2<br> - rs1_val == 137438953472<br>                                                                                                                           |[0x800004c8]:xor t4, t5, s7<br> [0x800004cc]:sd t4, 104(s1)<br>    |
|  15|[0x80009080]<br>0x000000000000000E|- rs1 : x6<br> - rs2 : x1<br> - rd : x28<br> - rs2_val == 8<br>                                                                                                                                                           |[0x800004d8]:xor t3, t1, ra<br> [0x800004dc]:sd t3, 112(s1)<br>    |
|  16|[0x80009088]<br>0x0004000000000010|- rs1 : x12<br> - rs2 : x5<br> - rd : x19<br> - rs2_val == 16<br> - rs1_val == 1125899906842624<br>                                                                                                                       |[0x800004ec]:xor s3, a2, t0<br> [0x800004f0]:sd s3, 120(s1)<br>    |
|  17|[0x80009090]<br>0xFFFFFFFFFFFFFFDB|- rs1 : x20<br> - rs2 : x8<br> - rd : x1<br> - rs2_val == 32<br> - rs1_val == -5<br>                                                                                                                                      |[0x80000504]:xor ra, s4, fp<br> [0x80000508]:sd ra, 0(sp)<br>      |
|  18|[0x80009098]<br>0x0000004000000040|- rs1 : x1<br> - rs2 : x17<br> - rd : x13<br> - rs2_val == 64<br> - rs1_val == 274877906944<br>                                                                                                                           |[0x80000518]:xor a3, ra, a7<br> [0x8000051c]:sd a3, 8(sp)<br>      |
|  19|[0x800090a0]<br>0xFFFFFFFFFEFFFF7F|- rs1 : x7<br> - rs2 : x28<br> - rd : x21<br> - rs2_val == 128<br> - rs1_val == -16777217<br>                                                                                                                             |[0x8000052c]:xor s5, t2, t3<br> [0x80000530]:sd s5, 16(sp)<br>     |
|  20|[0x800090a8]<br>0xFF7FFFFFFFFFFEFF|- rs1 : x14<br> - rs2 : x9<br> - rd : x7<br> - rs2_val == 256<br> - rs1_val == -36028797018963969<br>                                                                                                                     |[0x80000544]:xor t2, a4, s1<br> [0x80000548]:sd t2, 24(sp)<br>     |
|  21|[0x800090b0]<br>0x0000004000000200|- rs1 : x4<br> - rs2 : x21<br> - rd : x25<br> - rs2_val == 512<br>                                                                                                                                                        |[0x80000558]:xor s9, tp, s5<br> [0x8000055c]:sd s9, 32(sp)<br>     |
|  22|[0x800090b8]<br>0x0000000000080000|- rs1 : x22<br> - rs2 : x0<br> - rd : x5<br> - rs1_val == 524288<br>                                                                                                                                                      |[0x80000568]:xor t0, s6, zero<br> [0x8000056c]:sd t0, 40(sp)<br>   |
|  23|[0x800090c0]<br>0x0000000000000A00|- rs1 : x5<br> - rs2 : x30<br> - rd : x4<br> - rs2_val == 2048<br> - rs1_val == 512<br>                                                                                                                                   |[0x8000057c]:xor tp, t0, t5<br> [0x80000580]:sd tp, 48(sp)<br>     |
|  24|[0x800090c8]<br>0x0000000000001007|- rs1 : x16<br> - rs2 : x15<br> - rd : x30<br> - rs2_val == 4096<br>                                                                                                                                                      |[0x8000058c]:xor t5, a6, a5<br> [0x80000590]:sd t5, 56(sp)<br>     |
|  25|[0x800090d0]<br>0x0000000010002000|- rs1 : x13<br> - rs2 : x12<br> - rd : x16<br> - rs2_val == 8192<br> - rs1_val == 268435456<br>                                                                                                                           |[0x8000059c]:xor a6, a3, a2<br> [0x800005a0]:sd a6, 64(sp)<br>     |
|  26|[0x800090d8]<br>0xFFFFFFFFFFFFBFF8|- rs1 : x15<br> - rs2 : x10<br> - rd : x9<br> - rs2_val == 16384<br>                                                                                                                                                      |[0x800005ac]:xor s1, a5, a0<br> [0x800005b0]:sd s1, 72(sp)<br>     |
|  27|[0x800090e0]<br>0x0000000001008000|- rs1 : x29<br> - rs2 : x6<br> - rd : x18<br> - rs2_val == 32768<br> - rs1_val == 16777216<br>                                                                                                                            |[0x800005bc]:xor s2, t4, t1<br> [0x800005c0]:sd s2, 80(sp)<br>     |
|  28|[0x800090e8]<br>0x0000000000010006|- rs1 : x27<br> - rs2 : x24<br> - rd : x6<br> - rs2_val == 65536<br>                                                                                                                                                      |[0x800005cc]:xor t1, s11, s8<br> [0x800005d0]:sd t1, 88(sp)<br>    |
|  29|[0x800090f0]<br>0x6666666666646665|- rs1 : x3<br> - rs2 : x26<br> - rd : x8<br> - rs2_val == 131072<br>                                                                                                                                                      |[0x800005f8]:xor fp, gp, s10<br> [0x800005fc]:sd fp, 96(sp)<br>    |
|  30|[0x800090f8]<br>0xFFFFFFFFFBFBFFFF|- rs1 : x26<br> - rs2 : x18<br> - rd : x27<br> - rs2_val == 262144<br> - rs1_val == -67108865<br>                                                                                                                         |[0x8000060c]:xor s11, s10, s2<br> [0x80000610]:sd s11, 104(sp)<br> |
|  31|[0x80009100]<br>0xFFFFFFFFFFF5FFFF|- rs1 : x9<br> - rs2 : x11<br> - rd : x26<br> - rs2_val == 524288<br> - rs1_val == -131073<br>                                                                                                                            |[0x80000620]:xor s10, s1, a1<br> [0x80000624]:sd s10, 112(sp)<br>  |
|  32|[0x80009108]<br>0xFFFFFFFFFFCFFFFF|- rs1 : x23<br> - rs2 : x13<br> - rd : x20<br> - rs2_val == 1048576<br> - rs1_val == -2097153<br>                                                                                                                         |[0x80000634]:xor s4, s7, a3<br> [0x80000638]:sd s4, 120(sp)<br>    |
|  33|[0x80009110]<br>0x1000000000200000|- rs2_val == 2097152<br> - rs1_val == 1152921504606846976<br>                                                                                                                                                             |[0x80000650]:xor a2, a0, a1<br> [0x80000654]:sd a2, 0(ra)<br>      |
|  34|[0x80009118]<br>0xFFFFFBFFFFBFFFFF|- rs2_val == 4194304<br> - rs1_val == -4398046511105<br>                                                                                                                                                                  |[0x80000668]:xor a2, a0, a1<br> [0x8000066c]:sd a2, 8(ra)<br>      |
|  35|[0x80009120]<br>0x0000000001000000|- rs2_val == 16777216<br>                                                                                                                                                                                                 |[0x80000678]:xor a2, a0, a1<br> [0x8000067c]:sd a2, 16(ra)<br>     |
|  36|[0x80009128]<br>0x0000000002001000|- rs2_val == 33554432<br> - rs1_val == 4096<br>                                                                                                                                                                           |[0x80000688]:xor a2, a0, a1<br> [0x8000068c]:sd a2, 24(ra)<br>     |
|  37|[0x80009130]<br>0x0100000004000000|- rs2_val == 67108864<br> - rs1_val == 72057594037927936<br>                                                                                                                                                              |[0x8000069c]:xor a2, a0, a1<br> [0x800006a0]:sd a2, 32(ra)<br>     |
|  38|[0x80009138]<br>0x0000000012000000|- rs2_val == 268435456<br> - rs1_val == 33554432<br>                                                                                                                                                                      |[0x800006ac]:xor a2, a0, a1<br> [0x800006b0]:sd a2, 40(ra)<br>     |
|  39|[0x80009140]<br>0xFFFFFFFFDFFFDFFF|- rs2_val == 536870912<br> - rs1_val == -8193<br>                                                                                                                                                                         |[0x800006c0]:xor a2, a0, a1<br> [0x800006c4]:sd a2, 48(ra)<br>     |
|  40|[0x80009148]<br>0x0000000840000000|- rs2_val == 1073741824<br> - rs1_val == 34359738368<br>                                                                                                                                                                  |[0x800006d4]:xor a2, a0, a1<br> [0x800006d8]:sd a2, 56(ra)<br>     |
|  41|[0x80009150]<br>0xFFFFFF7F7FFFFFFF|- rs2_val == 2147483648<br> - rs1_val == -549755813889<br>                                                                                                                                                                |[0x800006f0]:xor a2, a0, a1<br> [0x800006f4]:sd a2, 64(ra)<br>     |
|  42|[0x80009158]<br>0x0400000100000000|- rs2_val == 4294967296<br> - rs1_val == 288230376151711744<br>                                                                                                                                                           |[0x80000708]:xor a2, a0, a1<br> [0x8000070c]:sd a2, 72(ra)<br>     |
|  43|[0x80009160]<br>0x0000000200000020|- rs2_val == 8589934592<br> - rs1_val == 32<br>                                                                                                                                                                           |[0x8000071c]:xor a2, a0, a1<br> [0x80000720]:sd a2, 80(ra)<br>     |
|  44|[0x80009168]<br>0xFFFFFFFBFFFFFDFF|- rs2_val == 17179869184<br> - rs1_val == -513<br>                                                                                                                                                                        |[0x80000730]:xor a2, a0, a1<br> [0x80000734]:sd a2, 88(ra)<br>     |
|  45|[0x80009170]<br>0xFFFFFFB7FFFFFFFF|- rs2_val == 34359738368<br> - rs1_val == -274877906945<br>                                                                                                                                                               |[0x8000074c]:xor a2, a0, a1<br> [0x80000750]:sd a2, 96(ra)<br>     |
|  46|[0x80009178]<br>0xFFFFFFAFFFFFFFFF|- rs2_val == 68719476736<br>                                                                                                                                                                                              |[0x80000768]:xor a2, a0, a1<br> [0x8000076c]:sd a2, 104(ra)<br>    |
|  47|[0x80009180]<br>0xFFFFFFDFFFFFFFBF|- rs2_val == 137438953472<br> - rs1_val == -65<br>                                                                                                                                                                        |[0x8000077c]:xor a2, a0, a1<br> [0x80000780]:sd a2, 112(ra)<br>    |
|  48|[0x80009188]<br>0xFFFFFF9FFFFFFFFF|- rs2_val == 274877906944<br> - rs1_val == -137438953473<br>                                                                                                                                                              |[0x80000798]:xor a2, a0, a1<br> [0x8000079c]:sd a2, 120(ra)<br>    |
|  49|[0x80009190]<br>0xFFFFFF7FFFFFFFDF|- rs2_val == 549755813888<br> - rs1_val == -33<br>                                                                                                                                                                        |[0x800007ac]:xor a2, a0, a1<br> [0x800007b0]:sd a2, 128(ra)<br>    |
|  50|[0x80009198]<br>0xFFFFEEFFFFFFFFFF|- rs2_val == 1099511627776<br> - rs1_val == -17592186044417<br>                                                                                                                                                           |[0x800007c8]:xor a2, a0, a1<br> [0x800007cc]:sd a2, 136(ra)<br>    |
|  51|[0x800091a0]<br>0x0000020000020000|- rs2_val == 2199023255552<br> - rs1_val == 131072<br>                                                                                                                                                                    |[0x800007dc]:xor a2, a0, a1<br> [0x800007e0]:sd a2, 144(ra)<br>    |
|  52|[0x800091a8]<br>0x0000040000002000|- rs2_val == 4398046511104<br> - rs1_val == 8192<br>                                                                                                                                                                      |[0x800007f0]:xor a2, a0, a1<br> [0x800007f4]:sd a2, 152(ra)<br>    |
|  53|[0x800091b0]<br>0x0001080000000000|- rs2_val == 8796093022208<br> - rs1_val == 281474976710656<br>                                                                                                                                                           |[0x80000808]:xor a2, a0, a1<br> [0x8000080c]:sd a2, 160(ra)<br>    |
|  54|[0x800091b8]<br>0xFFFFEFFFFFFFFF7F|- rs2_val == 17592186044416<br> - rs1_val == -129<br>                                                                                                                                                                     |[0x8000081c]:xor a2, a0, a1<br> [0x80000820]:sd a2, 168(ra)<br>    |
|  55|[0x800091c0]<br>0xFFFFDFFFFFFFFF7F|- rs2_val == 35184372088832<br>                                                                                                                                                                                           |[0x80000830]:xor a2, a0, a1<br> [0x80000834]:sd a2, 176(ra)<br>    |
|  56|[0x800091c8]<br>0xFFFFBFFFFFFFDFFF|- rs2_val == 70368744177664<br>                                                                                                                                                                                           |[0x80000848]:xor a2, a0, a1<br> [0x8000084c]:sd a2, 184(ra)<br>    |
|  57|[0x800091d0]<br>0xFFFF7FFFFFEFFFFF|- rs2_val == 140737488355328<br>                                                                                                                                                                                          |[0x80000860]:xor a2, a0, a1<br> [0x80000864]:sd a2, 192(ra)<br>    |
|  58|[0x800091d8]<br>0xFFFEFFFEFFFFFFFF|- rs2_val == 281474976710656<br> - rs1_val == -4294967297<br>                                                                                                                                                             |[0x8000087c]:xor a2, a0, a1<br> [0x80000880]:sd a2, 200(ra)<br>    |
|  59|[0x800091e0]<br>0x0002000000000100|- rs2_val == 562949953421312<br> - rs1_val == 256<br>                                                                                                                                                                     |[0x80000890]:xor a2, a0, a1<br> [0x80000894]:sd a2, 208(ra)<br>    |
|  60|[0x800091e8]<br>0xFFFBFFFF4AFB0CCD|- rs2_val == 1125899906842624<br>                                                                                                                                                                                         |[0x800008b0]:xor a2, a0, a1<br> [0x800008b4]:sd a2, 216(ra)<br>    |
|  61|[0x800091f0]<br>0xFFF7FFFFFFBFFFFF|- rs2_val == 2251799813685248<br> - rs1_val == -4194305<br>                                                                                                                                                               |[0x800008c8]:xor a2, a0, a1<br> [0x800008cc]:sd a2, 224(ra)<br>    |
|  62|[0x800091f8]<br>0x0010000000000004|- rs2_val == 4503599627370496<br> - rs1_val == 4<br>                                                                                                                                                                      |[0x800008dc]:xor a2, a0, a1<br> [0x800008e0]:sd a2, 232(ra)<br>    |
|  63|[0x80009200]<br>0x0020002000000000|- rs2_val == 9007199254740992<br>                                                                                                                                                                                         |[0x800008f4]:xor a2, a0, a1<br> [0x800008f8]:sd a2, 240(ra)<br>    |
|  64|[0x80009210]<br>0xFEFFFFFFBFFFFFFF|- rs2_val == 72057594037927936<br> - rs1_val == -1073741825<br>                                                                                                                                                           |[0x8000093c]:xor a2, a0, a1<br> [0x80000940]:sd a2, 256(ra)<br>    |
|  65|[0x80009218]<br>0xFDFFFFFFFFFFFFFE|- rs2_val == 144115188075855872<br> - rs1_val == -2<br>                                                                                                                                                                   |[0x80000950]:xor a2, a0, a1<br> [0x80000954]:sd a2, 264(ra)<br>    |
|  66|[0x80009220]<br>0x0400000000000004|- rs2_val == 288230376151711744<br>                                                                                                                                                                                       |[0x80000964]:xor a2, a0, a1<br> [0x80000968]:sd a2, 272(ra)<br>    |
|  67|[0x80009228]<br>0x1000000000000003|- rs2_val == 1152921504606846976<br>                                                                                                                                                                                      |[0x80000978]:xor a2, a0, a1<br> [0x8000097c]:sd a2, 280(ra)<br>    |
|  68|[0x80009230]<br>0xDFFFFFFF4AFB0CCD|- rs2_val == 2305843009213693952<br>                                                                                                                                                                                      |[0x80000998]:xor a2, a0, a1<br> [0x8000099c]:sd a2, 288(ra)<br>    |
|  69|[0x80009238]<br>0xBFFFFFFFFFFFFFDF|- rs2_val == 4611686018427387904<br>                                                                                                                                                                                      |[0x800009ac]:xor a2, a0, a1<br> [0x800009b0]:sd a2, 296(ra)<br>    |
|  70|[0x80009240]<br>0xFFFFFFFFFFFFFDFE|- rs2_val == -2<br>                                                                                                                                                                                                       |[0x800009bc]:xor a2, a0, a1<br> [0x800009c0]:sd a2, 304(ra)<br>    |
|  71|[0x80009248]<br>0xAAAAAAAAAAAAAAA8|- rs2_val == -3<br> - rs1_val == 6148914691236517205<br>                                                                                                                                                                  |[0x800009e8]:xor a2, a0, a1<br> [0x800009ec]:sd a2, 312(ra)<br>    |
|  72|[0x80009250]<br>0x0000001000000004|- rs2_val == -5<br> - rs1_val == -68719476737<br>                                                                                                                                                                         |[0x80000a00]:xor a2, a0, a1<br> [0x80000a04]:sd a2, 320(ra)<br>    |
|  73|[0x80009258]<br>0xFFFFFFFFFFFFFFF3|- rs2_val == -9<br>                                                                                                                                                                                                       |[0x80000a10]:xor a2, a0, a1<br> [0x80000a14]:sd a2, 328(ra)<br>    |
|  74|[0x80009260]<br>0xFDFFFFFFFFFFFFEF|- rs2_val == -17<br> - rs1_val == 144115188075855872<br>                                                                                                                                                                  |[0x80000a24]:xor a2, a0, a1<br> [0x80000a28]:sd a2, 336(ra)<br>    |
|  75|[0x80009268]<br>0x0001000000000020|- rs2_val == -33<br>                                                                                                                                                                                                      |[0x80000a3c]:xor a2, a0, a1<br> [0x80000a40]:sd a2, 344(ra)<br>    |
|  76|[0x80009270]<br>0xFFDFFFFFFFFFFFBF|- rs2_val == -65<br> - rs1_val == 9007199254740992<br>                                                                                                                                                                    |[0x80000a50]:xor a2, a0, a1<br> [0x80000a54]:sd a2, 352(ra)<br>    |
|  77|[0x80009278]<br>0x55555555555555D5|- rs2_val == -129<br> - rs1_val == -6148914691236517206<br>                                                                                                                                                               |[0x80000a7c]:xor a2, a0, a1<br> [0x80000a80]:sd a2, 360(ra)<br>    |
|  78|[0x80009280]<br>0xFFFFFFFFBFFFFEFF|- rs2_val == -257<br> - rs1_val == 1073741824<br>                                                                                                                                                                         |[0x80000a8c]:xor a2, a0, a1<br> [0x80000a90]:sd a2, 368(ra)<br>    |
|  79|[0x80009288]<br>0xAAAAAAAAAAAAA8AA|- rs2_val == -513<br>                                                                                                                                                                                                     |[0x80000ab8]:xor a2, a0, a1<br> [0x80000abc]:sd a2, 376(ra)<br>    |
|  80|[0x80009290]<br>0xFFFFFFFFFFFFF7FB|- rs2_val == -2049<br>                                                                                                                                                                                                    |[0x80000acc]:xor a2, a0, a1<br> [0x80000ad0]:sd a2, 384(ra)<br>    |
|  81|[0x80009298]<br>0x5555555555554554|- rs2_val == -4097<br>                                                                                                                                                                                                    |[0x80000afc]:xor a2, a0, a1<br> [0x80000b00]:sd a2, 392(ra)<br>    |
|  82|[0x800092a0]<br>0xFFFFFFFFFFFFDFFD|- rs2_val == -8193<br>                                                                                                                                                                                                    |[0x80000b10]:xor a2, a0, a1<br> [0x80000b14]:sd a2, 400(ra)<br>    |
|  83|[0x800092a8]<br>0x555555555555D555|- rs2_val == -32769<br>                                                                                                                                                                                                   |[0x80000b40]:xor a2, a0, a1<br> [0x80000b44]:sd a2, 408(ra)<br>    |
|  84|[0x800092b0]<br>0xBFFFFFFFFFFEFFFF|- rs2_val == -65537<br> - rs1_val == 4611686018427387904<br>                                                                                                                                                              |[0x80000b58]:xor a2, a0, a1<br> [0x80000b5c]:sd a2, 416(ra)<br>    |
|  85|[0x800092b8]<br>0xFFFFFFFFFFDDFFFF|- rs2_val == -131073<br> - rs1_val == 2097152<br>                                                                                                                                                                         |[0x80000b6c]:xor a2, a0, a1<br> [0x80000b70]:sd a2, 424(ra)<br>    |
|  86|[0x800092c0]<br>0x0000000000440000|- rs2_val == -262145<br>                                                                                                                                                                                                  |[0x80000b84]:xor a2, a0, a1<br> [0x80000b88]:sd a2, 432(ra)<br>    |
|  87|[0x800092c8]<br>0xFFFFFFFF4AF30CCC|- rs2_val == -524289<br>                                                                                                                                                                                                  |[0x80000ba4]:xor a2, a0, a1<br> [0x80000ba8]:sd a2, 440(ra)<br>    |
|  88|[0x800092d0]<br>0x0040000000100000|- rs2_val == -1048577<br> - rs1_val == -18014398509481985<br>                                                                                                                                                             |[0x80000bc0]:xor a2, a0, a1<br> [0x80000bc4]:sd a2, 448(ra)<br>    |
|  89|[0x800092d8]<br>0x0000000020200000|- rs2_val == -2097153<br> - rs1_val == -536870913<br>                                                                                                                                                                     |[0x80000bd8]:xor a2, a0, a1<br> [0x80000bdc]:sd a2, 456(ra)<br>    |
|  90|[0x800092e0]<br>0xFFFFFF7FFFBFFFFF|- rs2_val == -4194305<br> - rs1_val == 549755813888<br>                                                                                                                                                                   |[0x80000bf0]:xor a2, a0, a1<br> [0x80000bf4]:sd a2, 464(ra)<br>    |
|  91|[0x800092e8]<br>0x0000000040800000|- rs2_val == -8388609<br>                                                                                                                                                                                                 |[0x80000c08]:xor a2, a0, a1<br> [0x80000c0c]:sd a2, 472(ra)<br>    |
|  92|[0x800092f0]<br>0xFFFFFFFEFEFFFFFF|- rs2_val == -16777217<br> - rs1_val == 4294967296<br>                                                                                                                                                                    |[0x80000c20]:xor a2, a0, a1<br> [0x80000c24]:sd a2, 480(ra)<br>    |
|  93|[0x800092f8]<br>0xFFFFFFFFFDFFFFFE|- rs2_val == -33554433<br>                                                                                                                                                                                                |[0x80000c34]:xor a2, a0, a1<br> [0x80000c38]:sd a2, 488(ra)<br>    |
|  94|[0x80009300]<br>0xFFFFFFFFFBFFFFFC|- rs2_val == -67108865<br>                                                                                                                                                                                                |[0x80000c48]:xor a2, a0, a1<br> [0x80000c4c]:sd a2, 496(ra)<br>    |
|  95|[0x80009308]<br>0x00000000BD04F332|- rs2_val == -134217729<br>                                                                                                                                                                                               |[0x80000c68]:xor a2, a0, a1<br> [0x80000c6c]:sd a2, 504(ra)<br>    |
|  96|[0x80009310]<br>0xFFFF7FFFEFFFFFFF|- rs2_val == -268435457<br> - rs1_val == 140737488355328<br>                                                                                                                                                              |[0x80000c80]:xor a2, a0, a1<br> [0x80000c84]:sd a2, 512(ra)<br>    |
|  97|[0x80009318]<br>0xFFFFFFFFDFFF7FFF|- rs2_val == -536870913<br> - rs1_val == 32768<br>                                                                                                                                                                        |[0x80000c94]:xor a2, a0, a1<br> [0x80000c98]:sd a2, 520(ra)<br>    |
|  98|[0x80009320]<br>0xFFFFFFFFBFF7FFFF|- rs2_val == -1073741825<br>                                                                                                                                                                                              |[0x80000ca8]:xor a2, a0, a1<br> [0x80000cac]:sd a2, 528(ra)<br>    |
|  99|[0x80009328]<br>0x55555555D5555555|- rs2_val == -2147483649<br>                                                                                                                                                                                              |[0x80000cdc]:xor a2, a0, a1<br> [0x80000ce0]:sd a2, 536(ra)<br>    |
| 100|[0x80009330]<br>0xFFFEFFFEFFFFFFFF|- rs2_val == -4294967297<br>                                                                                                                                                                                              |[0x80000cf8]:xor a2, a0, a1<br> [0x80000cfc]:sd a2, 544(ra)<br>    |
| 101|[0x80009338]<br>0xFFFFFFFFFFFFFFFF|- rs2_val == -8589934593<br> - rs1_val == 8589934592<br>                                                                                                                                                                  |[0x80000d14]:xor a2, a0, a1<br> [0x80000d18]:sd a2, 552(ra)<br>    |
| 102|[0x80009348]<br>0x7FFFFFF7FFFFFFFF|- rs2_val == -34359738369<br>                                                                                                                                                                                             |[0x80000d50]:xor a2, a0, a1<br> [0x80000d54]:sd a2, 568(ra)<br>    |
| 103|[0x80009350]<br>0x0200001000000000|- rs2_val == -68719476737<br> - rs1_val == -144115188075855873<br>                                                                                                                                                        |[0x80000d70]:xor a2, a0, a1<br> [0x80000d74]:sd a2, 576(ra)<br>    |
| 104|[0x80009358]<br>0xFFFFFFDFFFFFFFF7|- rs2_val == -137438953473<br> - rs1_val == 8<br>                                                                                                                                                                         |[0x80000d88]:xor a2, a0, a1<br> [0x80000d8c]:sd a2, 584(ra)<br>    |
| 105|[0x80009360]<br>0x0000004000008000|- rs2_val == -274877906945<br> - rs1_val == -32769<br>                                                                                                                                                                    |[0x80000da4]:xor a2, a0, a1<br> [0x80000da8]:sd a2, 592(ra)<br>    |
| 106|[0x80009368]<br>0x0000008000004000|- rs2_val == -549755813889<br> - rs1_val == -16385<br>                                                                                                                                                                    |[0x80000dc0]:xor a2, a0, a1<br> [0x80000dc4]:sd a2, 600(ra)<br>    |
| 107|[0x80009370]<br>0x7FFFFEFFFFFFFFFF|- rs2_val == -1099511627777<br>                                                                                                                                                                                           |[0x80000ddc]:xor a2, a0, a1<br> [0x80000de0]:sd a2, 608(ra)<br>    |
| 108|[0x80009378]<br>0xFFFFFBFFFDFFFFFF|- rs2_val == -4398046511105<br>                                                                                                                                                                                           |[0x80000df4]:xor a2, a0, a1<br> [0x80000df8]:sd a2, 616(ra)<br>    |
| 109|[0x80009380]<br>0xFFFFF7FFFFFFFFFC|- rs2_val == -8796093022209<br>                                                                                                                                                                                           |[0x80000e0c]:xor a2, a0, a1<br> [0x80000e10]:sd a2, 624(ra)<br>    |
| 110|[0x80009388]<br>0x0200100000000000|- rs2_val == -17592186044417<br>                                                                                                                                                                                          |[0x80000e2c]:xor a2, a0, a1<br> [0x80000e30]:sd a2, 632(ra)<br>    |
| 111|[0x80009390]<br>0xFFFFDFFFFFFFFFFF|- rs2_val == -35184372088833<br>                                                                                                                                                                                          |[0x80000e44]:xor a2, a0, a1<br> [0x80000e48]:sd a2, 640(ra)<br>    |
| 112|[0x80009398]<br>0x0000400000000100|- rs2_val == -70368744177665<br> - rs1_val == -257<br>                                                                                                                                                                    |[0x80000e5c]:xor a2, a0, a1<br> [0x80000e60]:sd a2, 648(ra)<br>    |
| 113|[0x800093a0]<br>0xCCCC4CCCCCCCCCCB|- rs2_val == -140737488355329<br>                                                                                                                                                                                         |[0x80000e90]:xor a2, a0, a1<br> [0x80000e94]:sd a2, 656(ra)<br>    |
| 114|[0x800093a8]<br>0xFFFEFFFFFFFDFFFF|- rs2_val == -281474976710657<br>                                                                                                                                                                                         |[0x80000ea8]:xor a2, a0, a1<br> [0x80000eac]:sd a2, 664(ra)<br>    |
| 115|[0x800093b0]<br>0x0002040000000000|- rs2_val == -562949953421313<br>                                                                                                                                                                                         |[0x80000ec8]:xor a2, a0, a1<br> [0x80000ecc]:sd a2, 672(ra)<br>    |
| 116|[0x800093b8]<br>0x0004000000000200|- rs2_val == -1125899906842625<br>                                                                                                                                                                                        |[0x80000ee0]:xor a2, a0, a1<br> [0x80000ee4]:sd a2, 680(ra)<br>    |
| 117|[0x800093c0]<br>0xAAA2AAAAAAAAAAAA|- rs2_val == -2251799813685249<br>                                                                                                                                                                                        |[0x80000f14]:xor a2, a0, a1<br> [0x80000f18]:sd a2, 688(ra)<br>    |
| 118|[0x800093c8]<br>0xFFEFFDFFFFFFFFFF|- rs2_val == -4503599627370497<br> - rs1_val == 2199023255552<br>                                                                                                                                                         |[0x80000f30]:xor a2, a0, a1<br> [0x80000f34]:sd a2, 696(ra)<br>    |
| 119|[0x800093d0]<br>0xFFDFFFFFFFFBFFFF|- rs2_val == -9007199254740993<br> - rs1_val == 262144<br>                                                                                                                                                                |[0x80000f48]:xor a2, a0, a1<br> [0x80000f4c]:sd a2, 704(ra)<br>    |
| 120|[0x800093d8]<br>0x0040000000000800|- rs2_val == -18014398509481985<br> - rs1_val == -2049<br>                                                                                                                                                                |[0x80000f64]:xor a2, a0, a1<br> [0x80000f68]:sd a2, 712(ra)<br>    |
| 121|[0x800093e0]<br>0xFF7FFFFFFFFFFFFE|- rs2_val == -36028797018963969<br>                                                                                                                                                                                       |[0x80000f7c]:xor a2, a0, a1<br> [0x80000f80]:sd a2, 720(ra)<br>    |
| 122|[0x800093e8]<br>0x0100000040000000|- rs2_val == -72057594037927937<br>                                                                                                                                                                                       |[0x80000f98]:xor a2, a0, a1<br> [0x80000f9c]:sd a2, 728(ra)<br>    |
| 123|[0x800093f0]<br>0x0200000000000006|- rs2_val == -144115188075855873<br>                                                                                                                                                                                      |[0x80000fb0]:xor a2, a0, a1<br> [0x80000fb4]:sd a2, 736(ra)<br>    |
| 124|[0x800093f8]<br>0xFBFFFFFFFFFFFFFB|- rs2_val == -288230376151711745<br>                                                                                                                                                                                      |[0x80000fc8]:xor a2, a0, a1<br> [0x80000fcc]:sd a2, 744(ra)<br>    |
| 125|[0x80009400]<br>0x0800000000000005|- rs2_val == -576460752303423489<br>                                                                                                                                                                                      |[0x80000fe0]:xor a2, a0, a1<br> [0x80000fe4]:sd a2, 752(ra)<br>    |
| 126|[0x80009408]<br>0xEF7FFFFFFFFFFFFF|- rs2_val == -1152921504606846977<br> - rs1_val == 36028797018963968<br>                                                                                                                                                  |[0x80000ffc]:xor a2, a0, a1<br> [0x80001000]:sd a2, 760(ra)<br>    |
| 127|[0x80009410]<br>0x2000001000000000|- rs2_val == -2305843009213693953<br>                                                                                                                                                                                     |[0x8000101c]:xor a2, a0, a1<br> [0x80001020]:sd a2, 768(ra)<br>    |
| 128|[0x80009418]<br>0x40000000B504F332|- rs2_val == -4611686018427387905<br>                                                                                                                                                                                     |[0x80001040]:xor a2, a0, a1<br> [0x80001044]:sd a2, 776(ra)<br>    |
| 129|[0x80009420]<br>0x5555555555555556|- rs2_val == 6148914691236517205<br> - rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                    |[0x8000106c]:xor a2, a0, a1<br> [0x80001070]:sd a2, 784(ra)<br>    |
| 130|[0x80009428]<br>0xAAAAAAAAAAAAAAAE|- rs2_val == -6148914691236517206<br> - rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                  |[0x80001098]:xor a2, a0, a1<br> [0x8000109c]:sd a2, 792(ra)<br>    |
| 131|[0x80009430]<br>0x0000000100000010|- rs1_val == 16<br>                                                                                                                                                                                                       |[0x800010ac]:xor a2, a0, a1<br> [0x800010b0]:sd a2, 800(ra)<br>    |
| 132|[0x80009438]<br>0x0000000000000047|- rs1_val == 64<br>                                                                                                                                                                                                       |[0x800010bc]:xor a2, a0, a1<br> [0x800010c0]:sd a2, 808(ra)<br>    |
| 133|[0x80009440]<br>0xFFFFFFFDFFFFFF7F|- rs1_val == 128<br>                                                                                                                                                                                                      |[0x800010d4]:xor a2, a0, a1<br> [0x800010d8]:sd a2, 816(ra)<br>    |
| 134|[0x80009448]<br>0x0000000000040400|- rs1_val == 1024<br>                                                                                                                                                                                                     |[0x800010e4]:xor a2, a0, a1<br> [0x800010e8]:sd a2, 824(ra)<br>    |
| 135|[0x80009450]<br>0x3333333333333B34|- rs1_val == 2048<br>                                                                                                                                                                                                     |[0x80001114]:xor a2, a0, a1<br> [0x80001118]:sd a2, 832(ra)<br>    |
| 136|[0x80009458]<br>0xFFFFFFFFFFFBBFFF|- rs1_val == 16384<br>                                                                                                                                                                                                    |[0x80001128]:xor a2, a0, a1<br> [0x8000112c]:sd a2, 840(ra)<br>    |
| 137|[0x80009460]<br>0xFFFFFFFFFFFE7FFF|- rs1_val == 65536<br>                                                                                                                                                                                                    |[0x8000113c]:xor a2, a0, a1<br> [0x80001140]:sd a2, 848(ra)<br>    |
| 138|[0x80009468]<br>0xFFFFFFFFFFEFFBFF|- rs2_val == -1025<br> - rs1_val == 1048576<br>                                                                                                                                                                           |[0x8000114c]:xor a2, a0, a1<br> [0x80001150]:sd a2, 856(ra)<br>    |
| 139|[0x80009470]<br>0xFFFEFFFFFFBFFFFF|- rs1_val == 4194304<br>                                                                                                                                                                                                  |[0x80001164]:xor a2, a0, a1<br> [0x80001168]:sd a2, 864(ra)<br>    |
| 140|[0x80009478]<br>0xFFFFFFFFFF7FDFFF|- rs1_val == 8388608<br>                                                                                                                                                                                                  |[0x80001178]:xor a2, a0, a1<br> [0x8000117c]:sd a2, 872(ra)<br>    |
| 141|[0x80009480]<br>0x0800000004000000|- rs2_val == 576460752303423488<br> - rs1_val == 67108864<br>                                                                                                                                                             |[0x8000118c]:xor a2, a0, a1<br> [0x80001190]:sd a2, 880(ra)<br>    |
| 142|[0x80009488]<br>0x5555555575555555|- rs1_val == 536870912<br>                                                                                                                                                                                                |[0x800011b8]:xor a2, a0, a1<br> [0x800011bc]:sd a2, 888(ra)<br>    |
| 143|[0x80009490]<br>0x0000000080040000|- rs1_val == 2147483648<br>                                                                                                                                                                                               |[0x800011cc]:xor a2, a0, a1<br> [0x800011d0]:sd a2, 896(ra)<br>    |
| 144|[0x80009498]<br>0xFFFFFFFBFFFFFFBF|- rs1_val == 17179869184<br>                                                                                                                                                                                              |[0x800011e0]:xor a2, a0, a1<br> [0x800011e4]:sd a2, 904(ra)<br>    |
| 145|[0x800094a0]<br>0xFFFFFFEF4AFB0CCD|- rs1_val == 68719476736<br>                                                                                                                                                                                              |[0x80001200]:xor a2, a0, a1<br> [0x80001204]:sd a2, 912(ra)<br>    |
| 146|[0x800094a8]<br>0x0000110000000000|- rs1_val == 1099511627776<br>                                                                                                                                                                                            |[0x80001218]:xor a2, a0, a1<br> [0x8000121c]:sd a2, 920(ra)<br>    |
| 147|[0x800094b0]<br>0x0000040010000000|- rs1_val == 4398046511104<br>                                                                                                                                                                                            |[0x8000122c]:xor a2, a0, a1<br> [0x80001230]:sd a2, 928(ra)<br>    |
| 148|[0x800094b8]<br>0x00000A0000000000|- rs1_val == 8796093022208<br>                                                                                                                                                                                            |[0x80001244]:xor a2, a0, a1<br> [0x80001248]:sd a2, 936(ra)<br>    |
| 149|[0x800094c0]<br>0xFFFFEFFFFFBFFFFF|- rs1_val == 17592186044416<br>                                                                                                                                                                                           |[0x8000125c]:xor a2, a0, a1<br> [0x80001260]:sd a2, 944(ra)<br>    |
| 150|[0x800094c8]<br>0xFFFFDFFFBFFFFFFF|- rs1_val == 35184372088832<br>                                                                                                                                                                                           |[0x80001274]:xor a2, a0, a1<br> [0x80001278]:sd a2, 952(ra)<br>    |
| 151|[0x800094d0]<br>0x0020400000000000|- rs1_val == 70368744177664<br>                                                                                                                                                                                           |[0x8000128c]:xor a2, a0, a1<br> [0x80001290]:sd a2, 960(ra)<br>    |
| 152|[0x800094d8]<br>0x4002000000000000|- rs1_val == 562949953421312<br>                                                                                                                                                                                          |[0x800012a4]:xor a2, a0, a1<br> [0x800012a8]:sd a2, 968(ra)<br>    |
| 153|[0x800094e0]<br>0x0088000000000000|- rs1_val == 2251799813685248<br>                                                                                                                                                                                         |[0x800012bc]:xor a2, a0, a1<br> [0x800012c0]:sd a2, 976(ra)<br>    |
| 154|[0x800094e8]<br>0x0010200000000000|- rs1_val == 4503599627370496<br>                                                                                                                                                                                         |[0x800012d4]:xor a2, a0, a1<br> [0x800012d8]:sd a2, 984(ra)<br>    |
| 155|[0x800094f0]<br>0xF7FFFFFFFFFBFFFF|- rs1_val == 576460752303423488<br>                                                                                                                                                                                       |[0x800012ec]:xor a2, a0, a1<br> [0x800012f0]:sd a2, 992(ra)<br>    |
| 156|[0x800094f8]<br>0x2000000000008000|- rs1_val == 2305843009213693952<br>                                                                                                                                                                                      |[0x80001300]:xor a2, a0, a1<br> [0x80001304]:sd a2, 1000(ra)<br>   |
| 157|[0x80009500]<br>0xFFFFFFFFFFFFFFED|- rs1_val == -3<br>                                                                                                                                                                                                       |[0x80001310]:xor a2, a0, a1<br> [0x80001314]:sd a2, 1008(ra)<br>   |
| 158|[0x80009508]<br>0x0000000001000008|- rs1_val == -9<br>                                                                                                                                                                                                       |[0x80001324]:xor a2, a0, a1<br> [0x80001328]:sd a2, 1016(ra)<br>   |
| 159|[0x80009510]<br>0xFFFFFFFFFFEFFFEF|- rs1_val == -17<br>                                                                                                                                                                                                      |[0x80001334]:xor a2, a0, a1<br> [0x80001338]:sd a2, 1024(ra)<br>   |
| 160|[0x80009518]<br>0xFFFFFFBFFFFFFBFF|- rs1_val == -1025<br>                                                                                                                                                                                                    |[0x80001348]:xor a2, a0, a1<br> [0x8000134c]:sd a2, 1032(ra)<br>   |
| 161|[0x80009520]<br>0xFFFFFFFFFFFFEFFB|- rs1_val == -4097<br>                                                                                                                                                                                                    |[0x8000135c]:xor a2, a0, a1<br> [0x80001360]:sd a2, 1040(ra)<br>   |
| 162|[0x80009528]<br>0xFFFFFFFF4AFA0CCD|- rs1_val == -65537<br>                                                                                                                                                                                                   |[0x8000137c]:xor a2, a0, a1<br> [0x80001380]:sd a2, 1048(ra)<br>   |
| 163|[0x80009530]<br>0xFFFFFFFFFFFBFFFE|- rs1_val == -262145<br>                                                                                                                                                                                                  |[0x80001390]:xor a2, a0, a1<br> [0x80001394]:sd a2, 1056(ra)<br>   |
| 164|[0x80009538]<br>0xFFFDFFFFFFF7FFFF|- rs1_val == -524289<br>                                                                                                                                                                                                  |[0x800013a8]:xor a2, a0, a1<br> [0x800013ac]:sd a2, 1064(ra)<br>   |
| 165|[0x80009540]<br>0xFFFFFFFFFF5FFFFF|- rs1_val == -8388609<br>                                                                                                                                                                                                 |[0x800013bc]:xor a2, a0, a1<br> [0x800013c0]:sd a2, 1072(ra)<br>   |
| 166|[0x80009548]<br>0xFFDFFFFFFDFFFFFF|- rs1_val == -33554433<br>                                                                                                                                                                                                |[0x800013d4]:xor a2, a0, a1<br> [0x800013d8]:sd a2, 1080(ra)<br>   |
| 167|[0x80009550]<br>0xFFFFFFF7F7FFFFFF|- rs1_val == -134217729<br>                                                                                                                                                                                               |[0x800013ec]:xor a2, a0, a1<br> [0x800013f0]:sd a2, 1088(ra)<br>   |
| 168|[0x80009558]<br>0x8000000010000000|- rs1_val == -268435457<br>                                                                                                                                                                                               |[0x80001408]:xor a2, a0, a1<br> [0x8000140c]:sd a2, 1096(ra)<br>   |
| 169|[0x80009560]<br>0xFFFFFFFF7FFF7FFF|- rs1_val == -2147483649<br>                                                                                                                                                                                              |[0x80001420]:xor a2, a0, a1<br> [0x80001424]:sd a2, 1104(ra)<br>   |
| 170|[0x80009568]<br>0x3FFFFFFDFFFFFFFF|- rs1_val == -8589934593<br>                                                                                                                                                                                              |[0x8000143c]:xor a2, a0, a1<br> [0x80001440]:sd a2, 1112(ra)<br>   |
| 171|[0x80009570]<br>0xFFFFFFF7FFFFFFFF|- rs1_val == -34359738369<br>                                                                                                                                                                                             |[0x80001454]:xor a2, a0, a1<br> [0x80001458]:sd a2, 1120(ra)<br>   |
| 172|[0x80009578]<br>0x0000018000000000|- rs1_val == -1099511627777<br>                                                                                                                                                                                           |[0x80001474]:xor a2, a0, a1<br> [0x80001478]:sd a2, 1128(ra)<br>   |
| 173|[0x80009580]<br>0xFFFFFDFFFFFFFFBF|- rs1_val == -2199023255553<br>                                                                                                                                                                                           |[0x8000148c]:xor a2, a0, a1<br> [0x80001490]:sd a2, 1136(ra)<br>   |
| 174|[0x80009588]<br>0x00000800B504F332|- rs1_val == -8796093022209<br>                                                                                                                                                                                           |[0x800014b0]:xor a2, a0, a1<br> [0x800014b4]:sd a2, 1144(ra)<br>   |
| 175|[0x80009590]<br>0x0080200000000000|- rs1_val == -35184372088833<br>                                                                                                                                                                                          |[0x800014d0]:xor a2, a0, a1<br> [0x800014d4]:sd a2, 1152(ra)<br>   |
| 176|[0x80009598]<br>0xAAAAEAAAAAAAAAAB|- rs1_val == -70368744177665<br>                                                                                                                                                                                          |[0x80001504]:xor a2, a0, a1<br> [0x80001508]:sd a2, 1160(ra)<br>   |
| 177|[0x800095a0]<br>0x999919999999999A|- rs1_val == -140737488355329<br>                                                                                                                                                                                         |[0x80001538]:xor a2, a0, a1<br> [0x8000153c]:sd a2, 1168(ra)<br>   |
| 178|[0x800095a8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -562949953421313<br>                                                                                                                                                                                         |[0x80001554]:xor a2, a0, a1<br> [0x80001558]:sd a2, 1176(ra)<br>   |
| 179|[0x800095b0]<br>0x0004000000000400|- rs1_val == -1125899906842625<br>                                                                                                                                                                                        |[0x8000156c]:xor a2, a0, a1<br> [0x80001570]:sd a2, 1184(ra)<br>   |
| 180|[0x800095b8]<br>0xFFF77FFFFFFFFFFF|- rs1_val == -2251799813685249<br>                                                                                                                                                                                        |[0x80001588]:xor a2, a0, a1<br> [0x8000158c]:sd a2, 1192(ra)<br>   |
| 181|[0x800095c0]<br>0xFFEFFFFFFFFFFFFF|- rs1_val == -4503599627370497<br>                                                                                                                                                                                        |[0x800015a0]:xor a2, a0, a1<br> [0x800015a4]:sd a2, 1200(ra)<br>   |
| 182|[0x800095c8]<br>0x0020000000080000|- rs1_val == -9007199254740993<br>                                                                                                                                                                                        |[0x800015bc]:xor a2, a0, a1<br> [0x800015c0]:sd a2, 1208(ra)<br>   |
| 183|[0x800095d0]<br>0x0402000000000000|- rs1_val == -288230376151711745<br>                                                                                                                                                                                      |[0x800015dc]:xor a2, a0, a1<br> [0x800015e0]:sd a2, 1216(ra)<br>   |
| 184|[0x800095d8]<br>0x0800000000020000|- rs1_val == -576460752303423489<br>                                                                                                                                                                                      |[0x800015f8]:xor a2, a0, a1<br> [0x800015fc]:sd a2, 1224(ra)<br>   |
| 185|[0x800095e0]<br>0xEFFFFFFFFFFFFFFF|- rs1_val == -1152921504606846977<br>                                                                                                                                                                                     |[0x80001610]:xor a2, a0, a1<br> [0x80001614]:sd a2, 1232(ra)<br>   |
| 186|[0x800095e8]<br>0xECCCCCCCCCCCCCCB|- rs1_val == -2305843009213693953<br>                                                                                                                                                                                     |[0x80001644]:xor a2, a0, a1<br> [0x80001648]:sd a2, 1240(ra)<br>   |
| 187|[0x800095f0]<br>0xBFFFFFFFFFFFFFDF|- rs1_val == -4611686018427387905<br>                                                                                                                                                                                     |[0x8000165c]:xor a2, a0, a1<br> [0x80001660]:sd a2, 1248(ra)<br>   |
| 188|[0x800095f8]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                                           |[0x8000166c]:xor a2, a0, a1<br> [0x80001670]:sd a2, 1256(ra)<br>   |
| 189|[0x80009600]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                                                        |[0x80001698]:xor a2, a0, a1<br> [0x8000169c]:sd a2, 1264(ra)<br>   |
| 190|[0x80009608]<br>0x0000000000000006|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                                           |[0x800016a8]:xor a2, a0, a1<br> [0x800016ac]:sd a2, 1272(ra)<br>   |
| 191|[0x80009610]<br>0x3333333333333330|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                                         |[0x800016d4]:xor a2, a0, a1<br> [0x800016d8]:sd a2, 1280(ra)<br>   |
| 192|[0x80009618]<br>0x6666666666666665|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                                         |[0x80001700]:xor a2, a0, a1<br> [0x80001704]:sd a2, 1288(ra)<br>   |
| 193|[0x80009620]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                                                 |[0x8000171c]:xor a2, a0, a1<br> [0x80001720]:sd a2, 1296(ra)<br>   |
| 194|[0x80009628]<br>0x00000000B504F330|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                                                  |[0x80001738]:xor a2, a0, a1<br> [0x8000173c]:sd a2, 1304(ra)<br>   |
| 195|[0x80009630]<br>0x0000000000000001|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                                           |[0x80001748]:xor a2, a0, a1<br> [0x8000174c]:sd a2, 1312(ra)<br>   |
| 196|[0x80009638]<br>0x5555555555555557|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                                         |[0x80001774]:xor a2, a0, a1<br> [0x80001778]:sd a2, 1320(ra)<br>   |
| 197|[0x80009640]<br>0x0000000000000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                                           |[0x80001784]:xor a2, a0, a1<br> [0x80001788]:sd a2, 1328(ra)<br>   |
| 198|[0x80009648]<br>0x0000000000000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                                           |[0x80001794]:xor a2, a0, a1<br> [0x80001798]:sd a2, 1336(ra)<br>   |
| 199|[0x80009650]<br>0x3333333333333331|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                                         |[0x800017c0]:xor a2, a0, a1<br> [0x800017c4]:sd a2, 1344(ra)<br>   |
| 200|[0x80009658]<br>0x6666666666666666|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                                         |[0x800017ec]:xor a2, a0, a1<br> [0x800017f0]:sd a2, 1352(ra)<br>   |
| 201|[0x80009660]<br>0x00000000B504F331|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                                                  |[0x80001808]:xor a2, a0, a1<br> [0x8000180c]:sd a2, 1360(ra)<br>   |
| 202|[0x80009668]<br>0x5555555555555555|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                                         |[0x80001834]:xor a2, a0, a1<br> [0x80001838]:sd a2, 1368(ra)<br>   |
| 203|[0x80009670]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                                                        |[0x80001860]:xor a2, a0, a1<br> [0x80001864]:sd a2, 1376(ra)<br>   |
| 204|[0x80009678]<br>0x0000000000000005|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                                           |[0x80001870]:xor a2, a0, a1<br> [0x80001874]:sd a2, 1384(ra)<br>   |
| 205|[0x80009680]<br>0x3333333333333337|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                                         |[0x8000189c]:xor a2, a0, a1<br> [0x800018a0]:sd a2, 1392(ra)<br>   |
| 206|[0x80009688]<br>0x6666666666666664|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                                         |[0x800018c8]:xor a2, a0, a1<br> [0x800018cc]:sd a2, 1400(ra)<br>   |
| 207|[0x80009690]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                                                 |[0x800018e4]:xor a2, a0, a1<br> [0x800018e8]:sd a2, 1408(ra)<br>   |
| 208|[0x80009698]<br>0x00000000B504F337|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                                                  |[0x80001900]:xor a2, a0, a1<br> [0x80001904]:sd a2, 1416(ra)<br>   |
| 209|[0x800096a0]<br>0x5555555555555556|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                                         |[0x8000192c]:xor a2, a0, a1<br> [0x80001930]:sd a2, 1424(ra)<br>   |
| 210|[0x800096a8]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x80001974]:xor a2, a0, a1<br> [0x80001978]:sd a2, 1432(ra)<br>   |
| 211|[0x800096b0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x800019bc]:xor a2, a0, a1<br> [0x800019c0]:sd a2, 1440(ra)<br>   |
| 212|[0x800096b8]<br>0x5555555555555550|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                                         |[0x800019e8]:xor a2, a0, a1<br> [0x800019ec]:sd a2, 1448(ra)<br>   |
| 213|[0x800096c0]<br>0x6666666666666666|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x80001a30]:xor a2, a0, a1<br> [0x80001a34]:sd a2, 1456(ra)<br>   |
| 214|[0x800096c8]<br>0x3333333333333333|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x80001a78]:xor a2, a0, a1<br> [0x80001a7c]:sd a2, 1464(ra)<br>   |
| 215|[0x800096d0]<br>0xAAAAAAAA1FAE5998|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x80001ab0]:xor a2, a0, a1<br> [0x80001ab4]:sd a2, 1472(ra)<br>   |
| 216|[0x800096d8]<br>0x55555555E051A666|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                                                |[0x80001ae8]:xor a2, a0, a1<br> [0x80001aec]:sd a2, 1480(ra)<br>   |
| 217|[0x800096e0]<br>0x5555555555555557|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                                         |[0x80001b14]:xor a2, a0, a1<br> [0x80001b18]:sd a2, 1488(ra)<br>   |
| 218|[0x800096e8]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x80001b5c]:xor a2, a0, a1<br> [0x80001b60]:sd a2, 1496(ra)<br>   |
| 219|[0x800096f0]<br>0x5555555555555555|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                                         |[0x80001b88]:xor a2, a0, a1<br> [0x80001b8c]:sd a2, 1504(ra)<br>   |
| 220|[0x800096f8]<br>0x5555555555555551|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                                         |[0x80001bb4]:xor a2, a0, a1<br> [0x80001bb8]:sd a2, 1512(ra)<br>   |
| 221|[0x80009700]<br>0x6666666666666667|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80001bfc]:xor a2, a0, a1<br> [0x80001c00]:sd a2, 1520(ra)<br>   |
| 222|[0x80009708]<br>0x3333333333333330|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x80001c44]:xor a2, a0, a1<br> [0x80001c48]:sd a2, 1528(ra)<br>   |
| 223|[0x80009710]<br>0x55555555E051A667|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                                                |[0x80001c7c]:xor a2, a0, a1<br> [0x80001c80]:sd a2, 1536(ra)<br>   |
| 224|[0x80009718]<br>0x0000000000000003|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80001cc4]:xor a2, a0, a1<br> [0x80001cc8]:sd a2, 1544(ra)<br>   |
| 225|[0x80009720]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80001d0c]:xor a2, a0, a1<br> [0x80001d10]:sd a2, 1552(ra)<br>   |
| 226|[0x80009728]<br>0x5555555555555553|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                                         |[0x80001d38]:xor a2, a0, a1<br> [0x80001d3c]:sd a2, 1560(ra)<br>   |
| 227|[0x80009730]<br>0x6666666666666661|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x80001d80]:xor a2, a0, a1<br> [0x80001d84]:sd a2, 1568(ra)<br>   |
| 228|[0x80009738]<br>0x3333333333333332|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x80001dc8]:xor a2, a0, a1<br> [0x80001dcc]:sd a2, 1576(ra)<br>   |
| 229|[0x80009740]<br>0xAAAAAAAA1FAE599B|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x80001e00]:xor a2, a0, a1<br> [0x80001e04]:sd a2, 1584(ra)<br>   |
| 230|[0x80009748]<br>0x55555555E051A661|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                                                |[0x80001e38]:xor a2, a0, a1<br> [0x80001e3c]:sd a2, 1592(ra)<br>   |
| 231|[0x80009750]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                                                        |[0x80001e64]:xor a2, a0, a1<br> [0x80001e68]:sd a2, 1600(ra)<br>   |
| 232|[0x80009758]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                                      |[0x80001eac]:xor a2, a0, a1<br> [0x80001eb0]:sd a2, 1608(ra)<br>   |
| 233|[0x80009760]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                                     |[0x80001ef4]:xor a2, a0, a1<br> [0x80001ef8]:sd a2, 1616(ra)<br>   |
| 234|[0x80009768]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                                                        |[0x80001f20]:xor a2, a0, a1<br> [0x80001f24]:sd a2, 1624(ra)<br>   |
| 235|[0x80009770]<br>0x9999999999999999|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                                      |[0x80001f68]:xor a2, a0, a1<br> [0x80001f6c]:sd a2, 1632(ra)<br>   |
| 236|[0x80009778]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                                      |[0x80001fb0]:xor a2, a0, a1<br> [0x80001fb4]:sd a2, 1640(ra)<br>   |
| 237|[0x80009780]<br>0x55555555E051A667|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                                              |[0x80001fe8]:xor a2, a0, a1<br> [0x80001fec]:sd a2, 1648(ra)<br>   |
| 238|[0x80009788]<br>0xAAAAAAAA1FAE5999|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                                               |[0x80002020]:xor a2, a0, a1<br> [0x80002024]:sd a2, 1656(ra)<br>   |
| 239|[0x80009790]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                                                        |[0x8000204c]:xor a2, a0, a1<br> [0x80002050]:sd a2, 1664(ra)<br>   |
| 240|[0x80009798]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                                      |[0x80002094]:xor a2, a0, a1<br> [0x80002098]:sd a2, 1672(ra)<br>   |
| 241|[0x800097a0]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                                                        |[0x800020c0]:xor a2, a0, a1<br> [0x800020c4]:sd a2, 1680(ra)<br>   |
| 242|[0x800097a8]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                                                        |[0x800020ec]:xor a2, a0, a1<br> [0x800020f0]:sd a2, 1688(ra)<br>   |
| 243|[0x800097b0]<br>0x9999999999999998|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                                      |[0x80002134]:xor a2, a0, a1<br> [0x80002138]:sd a2, 1696(ra)<br>   |
| 244|[0x800097b8]<br>0xCCCCCCCCCCCCCCCF|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                                      |[0x8000217c]:xor a2, a0, a1<br> [0x80002180]:sd a2, 1704(ra)<br>   |
| 245|[0x800097c0]<br>0xAAAAAAAA1FAE5998|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                                               |[0x800021b4]:xor a2, a0, a1<br> [0x800021b8]:sd a2, 1712(ra)<br>   |
| 246|[0x800097c8]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                                      |[0x800021fc]:xor a2, a0, a1<br> [0x80002200]:sd a2, 1720(ra)<br>   |
| 247|[0x800097d0]<br>0x0000000000000001|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                                     |[0x80002244]:xor a2, a0, a1<br> [0x80002248]:sd a2, 1728(ra)<br>   |
| 248|[0x800097d8]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                                                        |[0x80002270]:xor a2, a0, a1<br> [0x80002274]:sd a2, 1736(ra)<br>   |
| 249|[0x800097e0]<br>0x999999999999999E|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                                      |[0x800022b8]:xor a2, a0, a1<br> [0x800022bc]:sd a2, 1744(ra)<br>   |
| 250|[0x800097e8]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                                      |[0x80002300]:xor a2, a0, a1<br> [0x80002304]:sd a2, 1752(ra)<br>   |
| 251|[0x800097f0]<br>0x55555555E051A664|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                                              |[0x80002338]:xor a2, a0, a1<br> [0x8000233c]:sd a2, 1760(ra)<br>   |
| 252|[0x800097f8]<br>0xAAAAAAAA1FAE599E|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                                               |[0x80002370]:xor a2, a0, a1<br> [0x80002374]:sd a2, 1768(ra)<br>   |
| 253|[0x80009800]<br>0x0000000000000006|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                                           |[0x80002380]:xor a2, a0, a1<br> [0x80002384]:sd a2, 1776(ra)<br>   |
| 254|[0x80009808]<br>0x5555555555555550|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                                         |[0x800023ac]:xor a2, a0, a1<br> [0x800023b0]:sd a2, 1784(ra)<br>   |
| 255|[0x80009810]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                                                        |[0x800023d8]:xor a2, a0, a1<br> [0x800023dc]:sd a2, 1792(ra)<br>   |
| 256|[0x80009818]<br>0x0000000000000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                                           |[0x800023e8]:xor a2, a0, a1<br> [0x800023ec]:sd a2, 1800(ra)<br>   |
| 257|[0x80009820]<br>0x3333333333333336|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                                         |[0x80002414]:xor a2, a0, a1<br> [0x80002418]:sd a2, 1808(ra)<br>   |
| 258|[0x80009828]<br>0x6666666666666663|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                                         |[0x80002440]:xor a2, a0, a1<br> [0x80002444]:sd a2, 1816(ra)<br>   |
| 259|[0x80009830]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                                                 |[0x8000245c]:xor a2, a0, a1<br> [0x80002460]:sd a2, 1824(ra)<br>   |
| 260|[0x80009838]<br>0x00000000B504F336|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                                                  |[0x80002478]:xor a2, a0, a1<br> [0x8000247c]:sd a2, 1832(ra)<br>   |
| 261|[0x80009840]<br>0x0000000000000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                                           |[0x80002488]:xor a2, a0, a1<br> [0x8000248c]:sd a2, 1840(ra)<br>   |
| 262|[0x80009848]<br>0x5555555555555551|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                                         |[0x800024b4]:xor a2, a0, a1<br> [0x800024b8]:sd a2, 1848(ra)<br>   |
| 263|[0x80009850]<br>0x0000000000000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                                           |[0x800024c4]:xor a2, a0, a1<br> [0x800024c8]:sd a2, 1856(ra)<br>   |
| 264|[0x80009858]<br>0x0000000000000001|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                                           |[0x800024d4]:xor a2, a0, a1<br> [0x800024d8]:sd a2, 1864(ra)<br>   |
| 265|[0x80009860]<br>0x3333333333333337|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                                         |[0x80002500]:xor a2, a0, a1<br> [0x80002504]:sd a2, 1872(ra)<br>   |
| 266|[0x80009868]<br>0x6666666666666660|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                                         |[0x8000252c]:xor a2, a0, a1<br> [0x80002530]:sd a2, 1880(ra)<br>   |
| 267|[0x80009870]<br>0x00000000B504F337|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                                                  |[0x80002548]:xor a2, a0, a1<br> [0x8000254c]:sd a2, 1888(ra)<br>   |
| 268|[0x80009878]<br>0x5555555555555553|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                                         |[0x80002574]:xor a2, a0, a1<br> [0x80002578]:sd a2, 1896(ra)<br>   |
| 269|[0x80009880]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                                                        |[0x800025a0]:xor a2, a0, a1<br> [0x800025a4]:sd a2, 1904(ra)<br>   |
| 270|[0x80009888]<br>0x0000000000000003|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                                           |[0x800025b0]:xor a2, a0, a1<br> [0x800025b4]:sd a2, 1912(ra)<br>   |
| 271|[0x80009890]<br>0x3333333333333331|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                                         |[0x800025dc]:xor a2, a0, a1<br> [0x800025e0]:sd a2, 1920(ra)<br>   |
| 272|[0x80009898]<br>0x6666666666666662|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                                         |[0x80002608]:xor a2, a0, a1<br> [0x8000260c]:sd a2, 1928(ra)<br>   |
| 273|[0x800098a0]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                                                 |[0x80002624]:xor a2, a0, a1<br> [0x80002628]:sd a2, 1936(ra)<br>   |
| 274|[0x800098a8]<br>0x00000000B504F331|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                                                  |[0x80002640]:xor a2, a0, a1<br> [0x80002644]:sd a2, 1944(ra)<br>   |
| 275|[0x800098b0]<br>0x3333333333333330|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                                         |[0x8000266c]:xor a2, a0, a1<br> [0x80002670]:sd a2, 1952(ra)<br>   |
| 276|[0x800098b8]<br>0x6666666666666666|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x800026b4]:xor a2, a0, a1<br> [0x800026b8]:sd a2, 1960(ra)<br>   |
| 277|[0x800098c0]<br>0x9999999999999999|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x800026fc]:xor a2, a0, a1<br> [0x80002700]:sd a2, 1968(ra)<br>   |
| 278|[0x800098c8]<br>0x3333333333333336|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                                         |[0x80002728]:xor a2, a0, a1<br> [0x8000272c]:sd a2, 1976(ra)<br>   |
| 279|[0x800098d0]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x80002770]:xor a2, a0, a1<br> [0x80002774]:sd a2, 1984(ra)<br>   |
| 280|[0x800098d8]<br>0x5555555555555555|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x800027b8]:xor a2, a0, a1<br> [0x800027bc]:sd a2, 1992(ra)<br>   |
| 281|[0x800098e0]<br>0xCCCCCCCC79C83FFE|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x800027f0]:xor a2, a0, a1<br> [0x800027f4]:sd a2, 2000(ra)<br>   |
| 282|[0x800098e8]<br>0x333333338637C000|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                                                |[0x80002828]:xor a2, a0, a1<br> [0x8000282c]:sd a2, 2008(ra)<br>   |
| 283|[0x800098f0]<br>0x3333333333333331|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                                         |[0x80002854]:xor a2, a0, a1<br> [0x80002858]:sd a2, 2016(ra)<br>   |
| 284|[0x800098f8]<br>0x6666666666666667|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x8000289c]:xor a2, a0, a1<br> [0x800028a0]:sd a2, 2024(ra)<br>   |
| 285|[0x80009900]<br>0x3333333333333333|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                                         |[0x800028c8]:xor a2, a0, a1<br> [0x800028cc]:sd a2, 2032(ra)<br>   |
| 286|[0x80009908]<br>0x3333333333333337|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                                         |[0x800028f4]:xor a2, a0, a1<br> [0x800028f8]:sd a2, 2040(ra)<br>   |
| 287|[0x80009910]<br>0x0000000000000001|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80002944]:xor a2, a0, a1<br> [0x80002948]:sd a2, 0(ra)<br>      |
| 288|[0x80009918]<br>0x5555555555555556|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x8000298c]:xor a2, a0, a1<br> [0x80002990]:sd a2, 8(ra)<br>      |
| 289|[0x80009920]<br>0x333333338637C001|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                                                |[0x800029c4]:xor a2, a0, a1<br> [0x800029c8]:sd a2, 16(ra)<br>     |
| 290|[0x80009928]<br>0x6666666666666665|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80002a0c]:xor a2, a0, a1<br> [0x80002a10]:sd a2, 24(ra)<br>     |
| 291|[0x80009930]<br>0x9999999999999998|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80002a54]:xor a2, a0, a1<br> [0x80002a58]:sd a2, 32(ra)<br>     |
| 292|[0x80009938]<br>0x3333333333333335|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                                         |[0x80002a80]:xor a2, a0, a1<br> [0x80002a84]:sd a2, 40(ra)<br>     |
| 293|[0x80009940]<br>0x0000000000000007|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x80002ac8]:xor a2, a0, a1<br> [0x80002acc]:sd a2, 48(ra)<br>     |
| 294|[0x80009948]<br>0x5555555555555554|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x80002b10]:xor a2, a0, a1<br> [0x80002b14]:sd a2, 56(ra)<br>     |
| 295|[0x80009950]<br>0xCCCCCCCC79C83FFD|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x80002b48]:xor a2, a0, a1<br> [0x80002b4c]:sd a2, 64(ra)<br>     |
| 296|[0x80009958]<br>0x333333338637C007|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                                                |[0x80002b80]:xor a2, a0, a1<br> [0x80002b84]:sd a2, 72(ra)<br>     |
| 297|[0x80009960]<br>0x6666666666666665|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                                         |[0x80002bac]:xor a2, a0, a1<br> [0x80002bb0]:sd a2, 80(ra)<br>     |
| 298|[0x80009968]<br>0x3333333333333333|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x80002bf4]:xor a2, a0, a1<br> [0x80002bf8]:sd a2, 88(ra)<br>     |
| 299|[0x80009970]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x80002c3c]:xor a2, a0, a1<br> [0x80002c40]:sd a2, 96(ra)<br>     |
| 300|[0x80009978]<br>0x6666666666666663|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                                         |[0x80002c68]:xor a2, a0, a1<br> [0x80002c6c]:sd a2, 104(ra)<br>    |
| 301|[0x80009980]<br>0x5555555555555555|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x80002cb0]:xor a2, a0, a1<br> [0x80002cb4]:sd a2, 112(ra)<br>    |
| 302|[0x80009988]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x80002cf8]:xor a2, a0, a1<br> [0x80002cfc]:sd a2, 120(ra)<br>    |
| 303|[0x80009990]<br>0x999999992C9D6AAB|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x80002d30]:xor a2, a0, a1<br> [0x80002d34]:sd a2, 128(ra)<br>    |
| 304|[0x80009998]<br>0x66666666D3629555|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                                                |[0x80002d68]:xor a2, a0, a1<br> [0x80002d6c]:sd a2, 136(ra)<br>    |
| 305|[0x800099a0]<br>0x6666666666666664|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                                         |[0x80002d94]:xor a2, a0, a1<br> [0x80002d98]:sd a2, 144(ra)<br>    |
| 306|[0x800099a8]<br>0x3333333333333332|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x80002ddc]:xor a2, a0, a1<br> [0x80002de0]:sd a2, 152(ra)<br>    |
| 307|[0x800099b0]<br>0x6666666666666666|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                                         |[0x80002e08]:xor a2, a0, a1<br> [0x80002e0c]:sd a2, 160(ra)<br>    |
| 308|[0x800099b8]<br>0x6666666666666662|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                                         |[0x80002e34]:xor a2, a0, a1<br> [0x80002e38]:sd a2, 168(ra)<br>    |
| 309|[0x800099c0]<br>0x5555555555555554|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80002e7c]:xor a2, a0, a1<br> [0x80002e80]:sd a2, 176(ra)<br>    |
| 310|[0x800099c8]<br>0x0000000000000003|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x80002ec4]:xor a2, a0, a1<br> [0x80002ec8]:sd a2, 184(ra)<br>    |
| 311|[0x800099d0]<br>0x66666666D3629554|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                                                |[0x80002efc]:xor a2, a0, a1<br> [0x80002f00]:sd a2, 192(ra)<br>    |
| 312|[0x800099d8]<br>0x3333333333333330|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80002f44]:xor a2, a0, a1<br> [0x80002f48]:sd a2, 200(ra)<br>    |
| 313|[0x800099e0]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80002f8c]:xor a2, a0, a1<br> [0x80002f90]:sd a2, 208(ra)<br>    |
| 314|[0x800099e8]<br>0x6666666666666660|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                                         |[0x80002fb8]:xor a2, a0, a1<br> [0x80002fbc]:sd a2, 216(ra)<br>    |
| 315|[0x800099f0]<br>0x5555555555555552|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x80003000]:xor a2, a0, a1<br> [0x80003004]:sd a2, 224(ra)<br>    |
| 316|[0x800099f8]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x80003048]:xor a2, a0, a1<br> [0x8000304c]:sd a2, 232(ra)<br>    |
| 317|[0x80009a00]<br>0x999999992C9D6AA8|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x80003080]:xor a2, a0, a1<br> [0x80003084]:sd a2, 240(ra)<br>    |
| 318|[0x80009a08]<br>0x66666666D3629552|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                                                |[0x800030b8]:xor a2, a0, a1<br> [0x800030bc]:sd a2, 248(ra)<br>    |
| 319|[0x80009a10]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                                                 |[0x800030d4]:xor a2, a0, a1<br> [0x800030d8]:sd a2, 256(ra)<br>    |
| 320|[0x80009a18]<br>0xAAAAAAAA1FAE5998|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                                               |[0x8000310c]:xor a2, a0, a1<br> [0x80003110]:sd a2, 264(ra)<br>    |
| 321|[0x80009a20]<br>0x55555555E051A667|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                                              |[0x80003144]:xor a2, a0, a1<br> [0x80003148]:sd a2, 272(ra)<br>    |
| 322|[0x80009a28]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                                                 |[0x80003160]:xor a2, a0, a1<br> [0x80003164]:sd a2, 280(ra)<br>    |
| 323|[0x80009a30]<br>0xCCCCCCCC79C83FFE|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                                               |[0x80003198]:xor a2, a0, a1<br> [0x8000319c]:sd a2, 288(ra)<br>    |
| 324|[0x80009a38]<br>0x999999992C9D6AAB|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                                               |[0x800031d0]:xor a2, a0, a1<br> [0x800031d4]:sd a2, 296(ra)<br>    |
| 325|[0x80009a40]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                                                       |[0x800031f8]:xor a2, a0, a1<br> [0x800031fc]:sd a2, 304(ra)<br>    |
| 326|[0x80009a48]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                                                        |[0x80003220]:xor a2, a0, a1<br> [0x80003224]:sd a2, 312(ra)<br>    |
| 327|[0x80009a50]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                                                 |[0x8000323c]:xor a2, a0, a1<br> [0x80003240]:sd a2, 320(ra)<br>    |
| 328|[0x80009a58]<br>0xAAAAAAAA1FAE5999|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                                               |[0x80003274]:xor a2, a0, a1<br> [0x80003278]:sd a2, 328(ra)<br>    |
| 329|[0x80009a60]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                                                 |[0x80003290]:xor a2, a0, a1<br> [0x80003294]:sd a2, 336(ra)<br>    |
| 330|[0x80009a68]<br>0xFFFFFFFF4AFB0CC9|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                                                 |[0x800032ac]:xor a2, a0, a1<br> [0x800032b0]:sd a2, 344(ra)<br>    |
| 331|[0x80009a70]<br>0xCCCCCCCC79C83FFF|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                                               |[0x800032e4]:xor a2, a0, a1<br> [0x800032e8]:sd a2, 352(ra)<br>    |
| 332|[0x80009a78]<br>0x999999992C9D6AA8|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                                               |[0x8000331c]:xor a2, a0, a1<br> [0x80003320]:sd a2, 360(ra)<br>    |
| 333|[0x80009a80]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                                                        |[0x80003344]:xor a2, a0, a1<br> [0x80003348]:sd a2, 368(ra)<br>    |
| 334|[0x80009a88]<br>0xAAAAAAAA1FAE599B|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                                               |[0x8000337c]:xor a2, a0, a1<br> [0x80003380]:sd a2, 376(ra)<br>    |
| 335|[0x80009a90]<br>0x55555555E051A666|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                                              |[0x800033b4]:xor a2, a0, a1<br> [0x800033b8]:sd a2, 384(ra)<br>    |
| 336|[0x80009a98]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                                                 |[0x800033d0]:xor a2, a0, a1<br> [0x800033d4]:sd a2, 392(ra)<br>    |
| 337|[0x80009aa0]<br>0xCCCCCCCC79C83FF9|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                                               |[0x80003408]:xor a2, a0, a1<br> [0x8000340c]:sd a2, 400(ra)<br>    |
| 338|[0x80009aa8]<br>0x999999992C9D6AAA|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                                               |[0x80003440]:xor a2, a0, a1<br> [0x80003444]:sd a2, 408(ra)<br>    |
| 339|[0x80009ab0]<br>0x0000000000000003|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                                                       |[0x80003468]:xor a2, a0, a1<br> [0x8000346c]:sd a2, 416(ra)<br>    |
| 340|[0x80009ab8]<br>0xFFFFFFFFFFFFFFF9|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                                                        |[0x80003490]:xor a2, a0, a1<br> [0x80003494]:sd a2, 424(ra)<br>    |
| 341|[0x80009ac0]<br>0x00000000B504F330|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                                                  |[0x800034ac]:xor a2, a0, a1<br> [0x800034b0]:sd a2, 432(ra)<br>    |
| 342|[0x80009ac8]<br>0x55555555E051A666|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                                                |[0x800034e4]:xor a2, a0, a1<br> [0x800034e8]:sd a2, 440(ra)<br>    |
| 343|[0x80009ad0]<br>0xAAAAAAAA1FAE5999|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                                               |[0x8000351c]:xor a2, a0, a1<br> [0x80003520]:sd a2, 448(ra)<br>    |
| 344|[0x80009ad8]<br>0x00000000B504F336|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                                                  |[0x80003538]:xor a2, a0, a1<br> [0x8000353c]:sd a2, 456(ra)<br>    |
| 345|[0x80009ae0]<br>0x333333338637C000|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                                                |[0x80003570]:xor a2, a0, a1<br> [0x80003574]:sd a2, 464(ra)<br>    |
| 346|[0x80009ae8]<br>0x66666666D3629555|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                                                |[0x800035a8]:xor a2, a0, a1<br> [0x800035ac]:sd a2, 472(ra)<br>    |
| 347|[0x80009af0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                                                        |[0x800035d0]:xor a2, a0, a1<br> [0x800035d4]:sd a2, 480(ra)<br>    |
| 348|[0x80009af8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                                         |[0x800035f8]:xor a2, a0, a1<br> [0x800035fc]:sd a2, 488(ra)<br>    |
| 349|[0x80009b00]<br>0x00000000B504F331|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                                                  |[0x80003614]:xor a2, a0, a1<br> [0x80003618]:sd a2, 496(ra)<br>    |
| 350|[0x80009b08]<br>0x55555555E051A667|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                                                |[0x8000364c]:xor a2, a0, a1<br> [0x80003650]:sd a2, 504(ra)<br>    |
| 351|[0x80009b10]<br>0x00000000B504F333|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                                                  |[0x80003668]:xor a2, a0, a1<br> [0x8000366c]:sd a2, 512(ra)<br>    |
| 352|[0x80009b18]<br>0x00000000B504F337|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                                                  |[0x80003684]:xor a2, a0, a1<br> [0x80003688]:sd a2, 520(ra)<br>    |
| 353|[0x80009b20]<br>0x333333338637C001|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                                                |[0x800036bc]:xor a2, a0, a1<br> [0x800036c0]:sd a2, 528(ra)<br>    |
| 354|[0x80009b28]<br>0x66666666D3629556|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                                                |[0x800036f4]:xor a2, a0, a1<br> [0x800036f8]:sd a2, 536(ra)<br>    |
| 355|[0x80009b30]<br>0x0000000000000001|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                                         |[0x8000371c]:xor a2, a0, a1<br> [0x80003720]:sd a2, 544(ra)<br>    |
| 356|[0x80009b38]<br>0x55555555E051A665|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                                                |[0x80003754]:xor a2, a0, a1<br> [0x80003758]:sd a2, 552(ra)<br>    |
| 357|[0x80009b40]<br>0xAAAAAAAA1FAE5998|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                                               |[0x8000378c]:xor a2, a0, a1<br> [0x80003790]:sd a2, 560(ra)<br>    |
| 358|[0x80009b48]<br>0x00000000B504F335|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                                                  |[0x800037a8]:xor a2, a0, a1<br> [0x800037ac]:sd a2, 568(ra)<br>    |
| 359|[0x80009b50]<br>0x333333338637C007|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                                                |[0x800037e0]:xor a2, a0, a1<br> [0x800037e4]:sd a2, 576(ra)<br>    |
| 360|[0x80009b58]<br>0x66666666D3629554|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                                                |[0x80003818]:xor a2, a0, a1<br> [0x8000381c]:sd a2, 584(ra)<br>    |
| 361|[0x80009b60]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                                                        |[0x80003840]:xor a2, a0, a1<br> [0x80003844]:sd a2, 592(ra)<br>    |
| 362|[0x80009b68]<br>0x0000000000000007|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                                         |[0x80003868]:xor a2, a0, a1<br> [0x8000386c]:sd a2, 600(ra)<br>    |
| 363|[0x80009b70]<br>0x0000000000000001|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                                           |[0x80003878]:xor a2, a0, a1<br> [0x8000387c]:sd a2, 608(ra)<br>    |
| 364|[0x80009b78]<br>0x5555555555555557|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                                         |[0x800038a4]:xor a2, a0, a1<br> [0x800038a8]:sd a2, 616(ra)<br>    |
| 365|[0x80009b80]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                                                        |[0x800038d0]:xor a2, a0, a1<br> [0x800038d4]:sd a2, 624(ra)<br>    |
| 366|[0x80009b88]<br>0x0000000000000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                                           |[0x800038e0]:xor a2, a0, a1<br> [0x800038e4]:sd a2, 632(ra)<br>    |
| 367|[0x80009b90]<br>0x3333333333333331|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                                         |[0x8000390c]:xor a2, a0, a1<br> [0x80003910]:sd a2, 640(ra)<br>    |
| 368|[0x80009b98]<br>0x6666666666666664|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                                         |[0x80003938]:xor a2, a0, a1<br> [0x8000393c]:sd a2, 648(ra)<br>    |
| 369|[0x80009ba0]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                                                 |[0x80003954]:xor a2, a0, a1<br> [0x80003958]:sd a2, 656(ra)<br>    |
| 370|[0x80009ba8]<br>0x00000000B504F331|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                                                  |[0x80003970]:xor a2, a0, a1<br> [0x80003974]:sd a2, 664(ra)<br>    |
| 371|[0x80009bb0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                                           |[0x80003980]:xor a2, a0, a1<br> [0x80003984]:sd a2, 672(ra)<br>    |
| 372|[0x80009bb8]<br>0x5555555555555556|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                                         |[0x800039ac]:xor a2, a0, a1<br> [0x800039b0]:sd a2, 680(ra)<br>    |
| 373|[0x80009bc0]<br>0x0000000000000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                                           |[0x800039bc]:xor a2, a0, a1<br> [0x800039c0]:sd a2, 688(ra)<br>    |
| 374|[0x80009bc8]<br>0x3333333333333330|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                                         |[0x800039e8]:xor a2, a0, a1<br> [0x800039ec]:sd a2, 696(ra)<br>    |
| 375|[0x80009bd0]<br>0x6666666666666667|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                                         |[0x80003a14]:xor a2, a0, a1<br> [0x80003a18]:sd a2, 704(ra)<br>    |
| 376|[0x80009bd8]<br>0x00000000B504F330|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                                                  |[0x80003a30]:xor a2, a0, a1<br> [0x80003a34]:sd a2, 712(ra)<br>    |
| 377|[0x80009be0]<br>0x5555555555555554|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                                         |[0x80003a5c]:xor a2, a0, a1<br> [0x80003a60]:sd a2, 720(ra)<br>    |
| 378|[0x80009be8]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                                                        |[0x80003a88]:xor a2, a0, a1<br> [0x80003a8c]:sd a2, 728(ra)<br>    |
| 379|[0x80009bf0]<br>0x0000000000000004|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                                           |[0x80003a98]:xor a2, a0, a1<br> [0x80003a9c]:sd a2, 736(ra)<br>    |
| 380|[0x80009bf8]<br>0x3333333333333336|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                                         |[0x80003ac4]:xor a2, a0, a1<br> [0x80003ac8]:sd a2, 744(ra)<br>    |
| 381|[0x80009c00]<br>0x6666666666666665|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                                         |[0x80003af0]:xor a2, a0, a1<br> [0x80003af4]:sd a2, 752(ra)<br>    |
| 382|[0x80009c08]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                                                 |[0x80003b0c]:xor a2, a0, a1<br> [0x80003b10]:sd a2, 760(ra)<br>    |
| 383|[0x80009c10]<br>0x00000000B504F336|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                                                  |[0x80003b28]:xor a2, a0, a1<br> [0x80003b2c]:sd a2, 768(ra)<br>    |
| 384|[0x80009c18]<br>0x5555555555555557|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                                         |[0x80003b54]:xor a2, a0, a1<br> [0x80003b58]:sd a2, 776(ra)<br>    |
| 385|[0x80009c20]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x80003b9c]:xor a2, a0, a1<br> [0x80003ba0]:sd a2, 784(ra)<br>    |
| 386|[0x80009c28]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x80003be4]:xor a2, a0, a1<br> [0x80003be8]:sd a2, 792(ra)<br>    |
| 387|[0x80009c30]<br>0x5555555555555551|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                                         |[0x80003c10]:xor a2, a0, a1<br> [0x80003c14]:sd a2, 800(ra)<br>    |
| 388|[0x80009c38]<br>0x6666666666666667|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x80003c58]:xor a2, a0, a1<br> [0x80003c5c]:sd a2, 808(ra)<br>    |
| 389|[0x80009c40]<br>0x3333333333333332|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x80003ca0]:xor a2, a0, a1<br> [0x80003ca4]:sd a2, 816(ra)<br>    |
| 390|[0x80009c48]<br>0xAAAAAAAA1FAE5999|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x80003cd8]:xor a2, a0, a1<br> [0x80003cdc]:sd a2, 824(ra)<br>    |
| 391|[0x80009c50]<br>0x55555555E051A667|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                                                |[0x80003d10]:xor a2, a0, a1<br> [0x80003d14]:sd a2, 832(ra)<br>    |
| 392|[0x80009c58]<br>0x5555555555555556|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                                         |[0x80003d3c]:xor a2, a0, a1<br> [0x80003d40]:sd a2, 840(ra)<br>    |
| 393|[0x80009c60]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x80003d84]:xor a2, a0, a1<br> [0x80003d88]:sd a2, 848(ra)<br>    |
| 394|[0x80009c68]<br>0x5555555555555554|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                                         |[0x80003db0]:xor a2, a0, a1<br> [0x80003db4]:sd a2, 856(ra)<br>    |
| 395|[0x80009c70]<br>0x5555555555555550|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                                         |[0x80003ddc]:xor a2, a0, a1<br> [0x80003de0]:sd a2, 864(ra)<br>    |
| 396|[0x80009c78]<br>0x6666666666666666|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80003e24]:xor a2, a0, a1<br> [0x80003e28]:sd a2, 872(ra)<br>    |
| 397|[0x80009c80]<br>0x3333333333333331|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x80003e6c]:xor a2, a0, a1<br> [0x80003e70]:sd a2, 880(ra)<br>    |
| 398|[0x80009c88]<br>0x55555555E051A666|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                                                |[0x80003ea4]:xor a2, a0, a1<br> [0x80003ea8]:sd a2, 888(ra)<br>    |
| 399|[0x80009c90]<br>0x0000000000000002|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80003eec]:xor a2, a0, a1<br> [0x80003ef0]:sd a2, 896(ra)<br>    |
| 400|[0x80009c98]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80003f34]:xor a2, a0, a1<br> [0x80003f38]:sd a2, 904(ra)<br>    |
| 401|[0x80009ca0]<br>0x5555555555555552|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                                         |[0x80003f60]:xor a2, a0, a1<br> [0x80003f64]:sd a2, 912(ra)<br>    |
| 402|[0x80009ca8]<br>0x6666666666666660|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x80003fa8]:xor a2, a0, a1<br> [0x80003fac]:sd a2, 920(ra)<br>    |
| 403|[0x80009cb0]<br>0x3333333333333333|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x80003ff0]:xor a2, a0, a1<br> [0x80003ff4]:sd a2, 928(ra)<br>    |
| 404|[0x80009cb8]<br>0xAAAAAAAA1FAE599A|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x80004028]:xor a2, a0, a1<br> [0x8000402c]:sd a2, 936(ra)<br>    |
| 405|[0x80009cc0]<br>0x55555555E051A660|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                                                |[0x80004060]:xor a2, a0, a1<br> [0x80004064]:sd a2, 944(ra)<br>    |
| 406|[0x80009cc8]<br>0x0000000000000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                                           |[0x80004070]:xor a2, a0, a1<br> [0x80004074]:sd a2, 952(ra)<br>    |
| 407|[0x80009cd0]<br>0x5555555555555555|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                                                         |[0x8000409c]:xor a2, a0, a1<br> [0x800040a0]:sd a2, 960(ra)<br>    |
| 408|[0x80009cd8]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                                                        |[0x800040c8]:xor a2, a0, a1<br> [0x800040cc]:sd a2, 968(ra)<br>    |
| 409|[0x80009ce0]<br>0x0000000000000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                                           |[0x800040d8]:xor a2, a0, a1<br> [0x800040dc]:sd a2, 976(ra)<br>    |
| 410|[0x80009ce8]<br>0x3333333333333333|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                                         |[0x80004104]:xor a2, a0, a1<br> [0x80004108]:sd a2, 984(ra)<br>    |
| 411|[0x80009cf0]<br>0x6666666666666666|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                                         |[0x80004130]:xor a2, a0, a1<br> [0x80004134]:sd a2, 992(ra)<br>    |
| 412|[0x80009cf8]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                                                 |[0x8000414c]:xor a2, a0, a1<br> [0x80004150]:sd a2, 1000(ra)<br>   |
| 413|[0x80009d00]<br>0x00000000B504F333|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                                                  |[0x80004168]:xor a2, a0, a1<br> [0x8000416c]:sd a2, 1008(ra)<br>   |
| 414|[0x80009d08]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                                                 |[0x80004184]:xor a2, a0, a1<br> [0x80004188]:sd a2, 1016(ra)<br>   |
| 415|[0x80009d10]<br>0x00000000B504F334|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                                                  |[0x800041a0]:xor a2, a0, a1<br> [0x800041a4]:sd a2, 1024(ra)<br>   |
| 416|[0x80009d18]<br>0x0000000000000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                                           |[0x800041b0]:xor a2, a0, a1<br> [0x800041b4]:sd a2, 1032(ra)<br>   |
| 417|[0x80009d20]<br>0x5555555555555551|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                                                         |[0x800041dc]:xor a2, a0, a1<br> [0x800041e0]:sd a2, 1040(ra)<br>   |
| 418|[0x80009d28]<br>0x0000000000000001|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                                           |[0x800041ec]:xor a2, a0, a1<br> [0x800041f0]:sd a2, 1048(ra)<br>   |
| 419|[0x80009d30]<br>0x3333333333333337|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                                         |[0x80004218]:xor a2, a0, a1<br> [0x8000421c]:sd a2, 1056(ra)<br>   |
| 420|[0x80009d38]<br>0x6666666666666662|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                                         |[0x80004244]:xor a2, a0, a1<br> [0x80004248]:sd a2, 1064(ra)<br>   |
| 421|[0x80009d40]<br>0xFFFFFFFF4AFB0CC9|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                                                 |[0x80004260]:xor a2, a0, a1<br> [0x80004264]:sd a2, 1072(ra)<br>   |
| 422|[0x80009d48]<br>0x00000000B504F337|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                                                  |[0x8000427c]:xor a2, a0, a1<br> [0x80004280]:sd a2, 1080(ra)<br>   |
| 423|[0x80009d50]<br>0x0000000000000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                                           |[0x8000428c]:xor a2, a0, a1<br> [0x80004290]:sd a2, 1088(ra)<br>   |
| 424|[0x80009d58]<br>0x5555555555555550|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                                         |[0x800042b8]:xor a2, a0, a1<br> [0x800042bc]:sd a2, 1096(ra)<br>   |
| 425|[0x80009d60]<br>0x0000000000000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                                           |[0x800042c8]:xor a2, a0, a1<br> [0x800042cc]:sd a2, 1104(ra)<br>   |
| 426|[0x80009d68]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                                           |[0x800042d8]:xor a2, a0, a1<br> [0x800042dc]:sd a2, 1112(ra)<br>   |
| 427|[0x80009d70]<br>0x3333333333333336|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                                         |[0x80004304]:xor a2, a0, a1<br> [0x80004308]:sd a2, 1120(ra)<br>   |
| 428|[0x80009d78]<br>0x6666666666666661|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                                         |[0x80004330]:xor a2, a0, a1<br> [0x80004334]:sd a2, 1128(ra)<br>   |
| 429|[0x80009d80]<br>0x00000000B504F336|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                                                  |[0x8000434c]:xor a2, a0, a1<br> [0x80004350]:sd a2, 1136(ra)<br>   |
| 430|[0x80009d88]<br>0x5555555555555552|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                                         |[0x80004378]:xor a2, a0, a1<br> [0x8000437c]:sd a2, 1144(ra)<br>   |
| 431|[0x80009d90]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                                                        |[0x800043a4]:xor a2, a0, a1<br> [0x800043a8]:sd a2, 1152(ra)<br>   |
| 432|[0x80009d98]<br>0x0000000000000002|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                                           |[0x800043b4]:xor a2, a0, a1<br> [0x800043b8]:sd a2, 1160(ra)<br>   |
| 433|[0x80009da0]<br>0x3333333333333330|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                                         |[0x800043e0]:xor a2, a0, a1<br> [0x800043e4]:sd a2, 1168(ra)<br>   |
| 434|[0x80009da8]<br>0x6666666666666663|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                                         |[0x8000440c]:xor a2, a0, a1<br> [0x80004410]:sd a2, 1176(ra)<br>   |
| 435|[0x80009db0]<br>0xFFFFFFFF4AFB0CCA|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                                                 |[0x80004428]:xor a2, a0, a1<br> [0x8000442c]:sd a2, 1184(ra)<br>   |
| 436|[0x80009db8]<br>0x00000000B504F330|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                                                  |[0x80004444]:xor a2, a0, a1<br> [0x80004448]:sd a2, 1192(ra)<br>   |
| 437|[0x80009dc0]<br>0x3333333333333331|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                                         |[0x80004470]:xor a2, a0, a1<br> [0x80004474]:sd a2, 1200(ra)<br>   |
| 438|[0x80009dc8]<br>0x6666666666666667|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x800044b8]:xor a2, a0, a1<br> [0x800044bc]:sd a2, 1208(ra)<br>   |
| 439|[0x80009dd0]<br>0x9999999999999998|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x80004500]:xor a2, a0, a1<br> [0x80004504]:sd a2, 1216(ra)<br>   |
| 440|[0x80009dd8]<br>0x3333333333333337|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                                         |[0x8000452c]:xor a2, a0, a1<br> [0x80004530]:sd a2, 1224(ra)<br>   |
| 441|[0x80009de0]<br>0x0000000000000001|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x80004574]:xor a2, a0, a1<br> [0x80004578]:sd a2, 1232(ra)<br>   |
| 442|[0x80009de8]<br>0x5555555555555554|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x800045bc]:xor a2, a0, a1<br> [0x800045c0]:sd a2, 1240(ra)<br>   |
| 443|[0x80009df0]<br>0xCCCCCCCC79C83FFF|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x800045f4]:xor a2, a0, a1<br> [0x800045f8]:sd a2, 1248(ra)<br>   |
| 444|[0x80009df8]<br>0x333333338637C001|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                                                |[0x8000462c]:xor a2, a0, a1<br> [0x80004630]:sd a2, 1256(ra)<br>   |
| 445|[0x80009e00]<br>0x3333333333333330|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                                         |[0x80004658]:xor a2, a0, a1<br> [0x8000465c]:sd a2, 1264(ra)<br>   |
| 446|[0x80009e08]<br>0x6666666666666666|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x800046a0]:xor a2, a0, a1<br> [0x800046a4]:sd a2, 1272(ra)<br>   |
| 447|[0x80009e10]<br>0x3333333333333332|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                                         |[0x800046cc]:xor a2, a0, a1<br> [0x800046d0]:sd a2, 1280(ra)<br>   |
| 448|[0x80009e18]<br>0x3333333333333336|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                                         |[0x800046f8]:xor a2, a0, a1<br> [0x800046fc]:sd a2, 1288(ra)<br>   |
| 449|[0x80009e20]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80004740]:xor a2, a0, a1<br> [0x80004744]:sd a2, 1296(ra)<br>   |
| 450|[0x80009e28]<br>0x5555555555555557|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x80004788]:xor a2, a0, a1<br> [0x8000478c]:sd a2, 1304(ra)<br>   |
| 451|[0x80009e30]<br>0x333333338637C000|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                                                |[0x800047c0]:xor a2, a0, a1<br> [0x800047c4]:sd a2, 1312(ra)<br>   |
| 452|[0x80009e38]<br>0x6666666666666664|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80004808]:xor a2, a0, a1<br> [0x8000480c]:sd a2, 1320(ra)<br>   |
| 453|[0x80009e40]<br>0x9999999999999999|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80004850]:xor a2, a0, a1<br> [0x80004854]:sd a2, 1328(ra)<br>   |
| 454|[0x80009e48]<br>0x3333333333333334|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                                         |[0x8000487c]:xor a2, a0, a1<br> [0x80004880]:sd a2, 1336(ra)<br>   |
| 455|[0x80009e50]<br>0x0000000000000006|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x800048c4]:xor a2, a0, a1<br> [0x800048c8]:sd a2, 1344(ra)<br>   |
| 456|[0x80009e58]<br>0x5555555555555555|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x8000490c]:xor a2, a0, a1<br> [0x80004910]:sd a2, 1352(ra)<br>   |
| 457|[0x80009e60]<br>0xCCCCCCCC79C83FFC|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x80004944]:xor a2, a0, a1<br> [0x80004948]:sd a2, 1360(ra)<br>   |
| 458|[0x80009e68]<br>0x333333338637C006|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                                                |[0x8000497c]:xor a2, a0, a1<br> [0x80004980]:sd a2, 1368(ra)<br>   |
| 459|[0x80009e70]<br>0x6666666666666666|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                                         |[0x800049a8]:xor a2, a0, a1<br> [0x800049ac]:sd a2, 1376(ra)<br>   |
| 460|[0x80009e78]<br>0x3333333333333330|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x800049f0]:xor a2, a0, a1<br> [0x800049f4]:sd a2, 1384(ra)<br>   |
| 461|[0x80009e80]<br>0xCCCCCCCCCCCCCCCF|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x80004a38]:xor a2, a0, a1<br> [0x80004a3c]:sd a2, 1392(ra)<br>   |
| 462|[0x80009e88]<br>0x6666666666666660|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                                         |[0x80004a64]:xor a2, a0, a1<br> [0x80004a68]:sd a2, 1400(ra)<br>   |
| 463|[0x80009e90]<br>0x5555555555555556|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x80004aac]:xor a2, a0, a1<br> [0x80004ab0]:sd a2, 1408(ra)<br>   |
| 464|[0x80009e98]<br>0x0000000000000003|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x80004af4]:xor a2, a0, a1<br> [0x80004af8]:sd a2, 1416(ra)<br>   |
| 465|[0x80009ea0]<br>0x999999992C9D6AA8|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x80004b2c]:xor a2, a0, a1<br> [0x80004b30]:sd a2, 1424(ra)<br>   |
| 466|[0x80009ea8]<br>0x66666666D3629556|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                                                |[0x80004b64]:xor a2, a0, a1<br> [0x80004b68]:sd a2, 1432(ra)<br>   |
| 467|[0x80009eb0]<br>0x6666666666666667|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                                         |[0x80004b90]:xor a2, a0, a1<br> [0x80004b94]:sd a2, 1440(ra)<br>   |
| 468|[0x80009eb8]<br>0x3333333333333331|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x80004bd8]:xor a2, a0, a1<br> [0x80004bdc]:sd a2, 1448(ra)<br>   |
| 469|[0x80009ec0]<br>0x6666666666666665|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                                                         |[0x80004c04]:xor a2, a0, a1<br> [0x80004c08]:sd a2, 1456(ra)<br>   |
| 470|[0x80009ec8]<br>0x6666666666666661|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                                         |[0x80004c30]:xor a2, a0, a1<br> [0x80004c34]:sd a2, 1464(ra)<br>   |
| 471|[0x80009ed0]<br>0x5555555555555557|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80004c78]:xor a2, a0, a1<br> [0x80004c7c]:sd a2, 1472(ra)<br>   |
| 472|[0x80009ed8]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x80004cc0]:xor a2, a0, a1<br> [0x80004cc4]:sd a2, 1480(ra)<br>   |
| 473|[0x80009ee0]<br>0x66666666D3629557|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                                                |[0x80004cf8]:xor a2, a0, a1<br> [0x80004cfc]:sd a2, 1488(ra)<br>   |
| 474|[0x80009ee8]<br>0x3333333333333333|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80004d40]:xor a2, a0, a1<br> [0x80004d44]:sd a2, 1496(ra)<br>   |
| 475|[0x80009ef0]<br>0xCCCCCCCCCCCCCCCE|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80004d88]:xor a2, a0, a1<br> [0x80004d8c]:sd a2, 1504(ra)<br>   |
| 476|[0x80009ef8]<br>0x6666666666666663|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                                         |[0x80004db4]:xor a2, a0, a1<br> [0x80004db8]:sd a2, 1512(ra)<br>   |
| 477|[0x80009f00]<br>0x5555555555555551|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x80004dfc]:xor a2, a0, a1<br> [0x80004e00]:sd a2, 1520(ra)<br>   |
| 478|[0x80009f08]<br>0x0000000000000002|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x80004e44]:xor a2, a0, a1<br> [0x80004e48]:sd a2, 1528(ra)<br>   |
| 479|[0x80009f10]<br>0x999999992C9D6AAB|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x80004e7c]:xor a2, a0, a1<br> [0x80004e80]:sd a2, 1536(ra)<br>   |
| 480|[0x80009f18]<br>0x66666666D3629551|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                                                |[0x80004eb4]:xor a2, a0, a1<br> [0x80004eb8]:sd a2, 1544(ra)<br>   |
| 481|[0x80009f20]<br>0x00000000B504F331|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                                                  |[0x80004ed0]:xor a2, a0, a1<br> [0x80004ed4]:sd a2, 1552(ra)<br>   |
| 482|[0x80009f28]<br>0x55555555E051A667|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                                                |[0x80004f08]:xor a2, a0, a1<br> [0x80004f0c]:sd a2, 1560(ra)<br>   |
| 483|[0x80009f30]<br>0xAAAAAAAA1FAE5998|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                                               |[0x80004f40]:xor a2, a0, a1<br> [0x80004f44]:sd a2, 1568(ra)<br>   |
| 484|[0x80009f38]<br>0x00000000B504F337|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                                                  |[0x80004f5c]:xor a2, a0, a1<br> [0x80004f60]:sd a2, 1576(ra)<br>   |
| 485|[0x80009f40]<br>0x333333338637C001|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                                                |[0x80004f94]:xor a2, a0, a1<br> [0x80004f98]:sd a2, 1584(ra)<br>   |
| 486|[0x80009f48]<br>0x66666666D3629554|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                                                |[0x80004fcc]:xor a2, a0, a1<br> [0x80004fd0]:sd a2, 1592(ra)<br>   |
| 487|[0x80009f50]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                                                        |[0x80004ff4]:xor a2, a0, a1<br> [0x80004ff8]:sd a2, 1600(ra)<br>   |
| 488|[0x80009f58]<br>0x0000000000000001|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                                         |[0x8000501c]:xor a2, a0, a1<br> [0x80005020]:sd a2, 1608(ra)<br>   |
| 489|[0x80009f60]<br>0x00000000B504F330|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                                                  |[0x80005038]:xor a2, a0, a1<br> [0x8000503c]:sd a2, 1616(ra)<br>   |
| 490|[0x80009f68]<br>0x55555555E051A666|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                                                |[0x80005070]:xor a2, a0, a1<br> [0x80005074]:sd a2, 1624(ra)<br>   |
| 491|[0x80009f70]<br>0x00000000B504F332|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                                                  |[0x8000508c]:xor a2, a0, a1<br> [0x80005090]:sd a2, 1632(ra)<br>   |
| 492|[0x80009f78]<br>0x00000000B504F336|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                                                  |[0x800050a8]:xor a2, a0, a1<br> [0x800050ac]:sd a2, 1640(ra)<br>   |
| 493|[0x80009f80]<br>0x333333338637C000|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                                                |[0x800050e0]:xor a2, a0, a1<br> [0x800050e4]:sd a2, 1648(ra)<br>   |
| 494|[0x80009f88]<br>0x66666666D3629557|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                                                |[0x80005118]:xor a2, a0, a1<br> [0x8000511c]:sd a2, 1656(ra)<br>   |
| 495|[0x80009f90]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                                         |[0x80005140]:xor a2, a0, a1<br> [0x80005144]:sd a2, 1664(ra)<br>   |
| 496|[0x80009f98]<br>0x55555555E051A664|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                                                |[0x80005178]:xor a2, a0, a1<br> [0x8000517c]:sd a2, 1672(ra)<br>   |
| 497|[0x80009fa0]<br>0xAAAAAAAA1FAE5999|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                                               |[0x800051b0]:xor a2, a0, a1<br> [0x800051b4]:sd a2, 1680(ra)<br>   |
| 498|[0x80009fa8]<br>0x00000000B504F334|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                                                  |[0x800051cc]:xor a2, a0, a1<br> [0x800051d0]:sd a2, 1688(ra)<br>   |
| 499|[0x80009fb0]<br>0x333333338637C006|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                                                |[0x80005204]:xor a2, a0, a1<br> [0x80005208]:sd a2, 1696(ra)<br>   |
| 500|[0x80009fb8]<br>0x66666666D3629555|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                                                |[0x8000523c]:xor a2, a0, a1<br> [0x80005240]:sd a2, 1704(ra)<br>   |
| 501|[0x80009fc0]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                                                        |[0x80005264]:xor a2, a0, a1<br> [0x80005268]:sd a2, 1712(ra)<br>   |
| 502|[0x80009fc8]<br>0x0000000000000006|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                                         |[0x8000528c]:xor a2, a0, a1<br> [0x80005290]:sd a2, 1720(ra)<br>   |
| 503|[0x80009fd0]<br>0x5555555555555555|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                                         |[0x800052b8]:xor a2, a0, a1<br> [0x800052bc]:sd a2, 1728(ra)<br>   |
| 504|[0x80009fd8]<br>0x0000000000000003|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x80005300]:xor a2, a0, a1<br> [0x80005304]:sd a2, 1736(ra)<br>   |
| 505|[0x80009fe0]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x80005348]:xor a2, a0, a1<br> [0x8000534c]:sd a2, 1744(ra)<br>   |
| 506|[0x80009fe8]<br>0x5555555555555553|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                                         |[0x80005374]:xor a2, a0, a1<br> [0x80005378]:sd a2, 1752(ra)<br>   |
| 507|[0x80009ff0]<br>0x6666666666666665|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x800053bc]:xor a2, a0, a1<br> [0x800053c0]:sd a2, 1760(ra)<br>   |
| 508|[0x80009ff8]<br>0x3333333333333330|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x80005404]:xor a2, a0, a1<br> [0x80005408]:sd a2, 1768(ra)<br>   |
| 509|[0x8000a000]<br>0xAAAAAAAA1FAE599B|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x8000543c]:xor a2, a0, a1<br> [0x80005440]:sd a2, 1776(ra)<br>   |
| 510|[0x8000a008]<br>0x55555555E051A665|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                                                |[0x80005474]:xor a2, a0, a1<br> [0x80005478]:sd a2, 1784(ra)<br>   |
| 511|[0x8000a010]<br>0x5555555555555554|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                                         |[0x800054a0]:xor a2, a0, a1<br> [0x800054a4]:sd a2, 1792(ra)<br>   |
| 512|[0x8000a018]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x800054e8]:xor a2, a0, a1<br> [0x800054ec]:sd a2, 1800(ra)<br>   |
| 513|[0x8000a020]<br>0x5555555555555556|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                                         |[0x80005514]:xor a2, a0, a1<br> [0x80005518]:sd a2, 1808(ra)<br>   |
| 514|[0x8000a028]<br>0x5555555555555552|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                                         |[0x80005540]:xor a2, a0, a1<br> [0x80005544]:sd a2, 1816(ra)<br>   |
| 515|[0x8000a030]<br>0x6666666666666664|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80005588]:xor a2, a0, a1<br> [0x8000558c]:sd a2, 1824(ra)<br>   |
| 516|[0x8000a038]<br>0x3333333333333333|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x800055d0]:xor a2, a0, a1<br> [0x800055d4]:sd a2, 1832(ra)<br>   |
| 517|[0x8000a040]<br>0x55555555E051A664|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                                                |[0x80005608]:xor a2, a0, a1<br> [0x8000560c]:sd a2, 1840(ra)<br>   |
| 518|[0x8000a048]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80005650]:xor a2, a0, a1<br> [0x80005654]:sd a2, 1848(ra)<br>   |
| 519|[0x8000a050]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80005698]:xor a2, a0, a1<br> [0x8000569c]:sd a2, 1856(ra)<br>   |
| 520|[0x8000a058]<br>0x5555555555555550|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                                         |[0x800056c4]:xor a2, a0, a1<br> [0x800056c8]:sd a2, 1864(ra)<br>   |
| 521|[0x8000a060]<br>0x6666666666666662|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x8000570c]:xor a2, a0, a1<br> [0x80005710]:sd a2, 1872(ra)<br>   |
| 522|[0x8000a068]<br>0x3333333333333331|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x80005754]:xor a2, a0, a1<br> [0x80005758]:sd a2, 1880(ra)<br>   |
| 523|[0x8000a070]<br>0xAAAAAAAA1FAE5998|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x8000578c]:xor a2, a0, a1<br> [0x80005790]:sd a2, 1888(ra)<br>   |
| 524|[0x8000a078]<br>0x55555555E051A662|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                                                |[0x800057c4]:xor a2, a0, a1<br> [0x800057c8]:sd a2, 1896(ra)<br>   |
| 525|[0x8000a080]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                                                        |[0x800057f0]:xor a2, a0, a1<br> [0x800057f4]:sd a2, 1904(ra)<br>   |
| 526|[0x8000a088]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                                      |[0x80005838]:xor a2, a0, a1<br> [0x8000583c]:sd a2, 1912(ra)<br>   |
| 527|[0x8000a090]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                                     |[0x80005880]:xor a2, a0, a1<br> [0x80005884]:sd a2, 1920(ra)<br>   |
| 528|[0x8000a098]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                                                        |[0x800058ac]:xor a2, a0, a1<br> [0x800058b0]:sd a2, 1928(ra)<br>   |
| 529|[0x8000a0a0]<br>0x9999999999999998|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                                      |[0x800058f4]:xor a2, a0, a1<br> [0x800058f8]:sd a2, 1936(ra)<br>   |
| 530|[0x8000a0a8]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                                      |[0x8000593c]:xor a2, a0, a1<br> [0x80005940]:sd a2, 1944(ra)<br>   |
| 531|[0x8000a0b0]<br>0x55555555E051A666|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                                              |[0x80005974]:xor a2, a0, a1<br> [0x80005978]:sd a2, 1952(ra)<br>   |
| 532|[0x8000a0b8]<br>0xAAAAAAAA1FAE5998|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                                               |[0x800059ac]:xor a2, a0, a1<br> [0x800059b0]:sd a2, 1960(ra)<br>   |
| 533|[0x8000a0c0]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                                                        |[0x800059d8]:xor a2, a0, a1<br> [0x800059dc]:sd a2, 1968(ra)<br>   |
| 534|[0x8000a0c8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                                      |[0x80005a20]:xor a2, a0, a1<br> [0x80005a24]:sd a2, 1976(ra)<br>   |
| 535|[0x8000a0d0]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                                                        |[0x80005a4c]:xor a2, a0, a1<br> [0x80005a50]:sd a2, 1984(ra)<br>   |
| 536|[0x8000a0d8]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                                                        |[0x80005a78]:xor a2, a0, a1<br> [0x80005a7c]:sd a2, 1992(ra)<br>   |
| 537|[0x8000a0e0]<br>0x9999999999999999|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                                      |[0x80005ac0]:xor a2, a0, a1<br> [0x80005ac4]:sd a2, 2000(ra)<br>   |
| 538|[0x8000a0e8]<br>0xCCCCCCCCCCCCCCCE|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                                      |[0x80005b08]:xor a2, a0, a1<br> [0x80005b0c]:sd a2, 2008(ra)<br>   |
| 539|[0x8000a0f0]<br>0xAAAAAAAA1FAE5999|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                                               |[0x80005b40]:xor a2, a0, a1<br> [0x80005b44]:sd a2, 2016(ra)<br>   |
| 540|[0x8000a0f8]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                                      |[0x80005b88]:xor a2, a0, a1<br> [0x80005b8c]:sd a2, 2024(ra)<br>   |
| 541|[0x8000a100]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                                     |[0x80005bd0]:xor a2, a0, a1<br> [0x80005bd4]:sd a2, 2032(ra)<br>   |
| 542|[0x8000a108]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                                                        |[0x80005bfc]:xor a2, a0, a1<br> [0x80005c00]:sd a2, 2040(ra)<br>   |
| 543|[0x8000a110]<br>0x999999999999999F|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                                      |[0x80005c4c]:xor a2, a0, a1<br> [0x80005c50]:sd a2, 0(ra)<br>      |
| 544|[0x8000a118]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                                      |[0x80005c94]:xor a2, a0, a1<br> [0x80005c98]:sd a2, 8(ra)<br>      |
| 545|[0x8000a120]<br>0x55555555E051A665|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                                              |[0x80005ccc]:xor a2, a0, a1<br> [0x80005cd0]:sd a2, 16(ra)<br>     |
| 546|[0x8000a128]<br>0xAAAAAAAA1FAE599F|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                                               |[0x80005d04]:xor a2, a0, a1<br> [0x80005d08]:sd a2, 24(ra)<br>     |
| 547|[0x8000a130]<br>0x0000000000000005|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                                           |[0x80005d14]:xor a2, a0, a1<br> [0x80005d18]:sd a2, 32(ra)<br>     |
| 548|[0x8000a138]<br>0x5555555555555553|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                                         |[0x80005d40]:xor a2, a0, a1<br> [0x80005d44]:sd a2, 40(ra)<br>     |
| 549|[0x8000a140]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                                                        |[0x80005d6c]:xor a2, a0, a1<br> [0x80005d70]:sd a2, 48(ra)<br>     |
| 550|[0x8000a148]<br>0x0000000000000003|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                                           |[0x80005d7c]:xor a2, a0, a1<br> [0x80005d80]:sd a2, 56(ra)<br>     |
| 551|[0x8000a150]<br>0x3333333333333335|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                                         |[0x80005da8]:xor a2, a0, a1<br> [0x80005dac]:sd a2, 64(ra)<br>     |
| 552|[0x8000a158]<br>0x6666666666666660|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                                         |[0x80005dd4]:xor a2, a0, a1<br> [0x80005dd8]:sd a2, 72(ra)<br>     |
| 553|[0x8000a160]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                                                 |[0x80005df0]:xor a2, a0, a1<br> [0x80005df4]:sd a2, 80(ra)<br>     |
| 554|[0x8000a168]<br>0x00000000B504F335|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                                                  |[0x80005e0c]:xor a2, a0, a1<br> [0x80005e10]:sd a2, 88(ra)<br>     |
| 555|[0x8000a170]<br>0x0000000000000004|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                                           |[0x80005e1c]:xor a2, a0, a1<br> [0x80005e20]:sd a2, 96(ra)<br>     |
| 556|[0x8000a178]<br>0x5555555555555552|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                                         |[0x80005e48]:xor a2, a0, a1<br> [0x80005e4c]:sd a2, 104(ra)<br>    |
| 557|[0x8000a180]<br>0x0000000000000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                                           |[0x80005e58]:xor a2, a0, a1<br> [0x80005e5c]:sd a2, 112(ra)<br>    |
| 558|[0x8000a188]<br>0x0000000000000002|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                                           |[0x80005e68]:xor a2, a0, a1<br> [0x80005e6c]:sd a2, 120(ra)<br>    |
| 559|[0x8000a190]<br>0x3333333333333334|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                                         |[0x80005e94]:xor a2, a0, a1<br> [0x80005e98]:sd a2, 128(ra)<br>    |
| 560|[0x8000a198]<br>0x6666666666666663|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                                         |[0x80005ec0]:xor a2, a0, a1<br> [0x80005ec4]:sd a2, 136(ra)<br>    |
| 561|[0x8000a1a0]<br>0x00000000B504F334|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                                                  |[0x80005edc]:xor a2, a0, a1<br> [0x80005ee0]:sd a2, 144(ra)<br>    |
| 562|[0x8000a1a8]<br>0x5555555555555550|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                                         |[0x80005f08]:xor a2, a0, a1<br> [0x80005f0c]:sd a2, 152(ra)<br>    |
| 563|[0x8000a1b0]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                                                        |[0x80005f34]:xor a2, a0, a1<br> [0x80005f38]:sd a2, 160(ra)<br>    |
| 564|[0x8000a1b8]<br>0x0000000000000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                                           |[0x80005f44]:xor a2, a0, a1<br> [0x80005f48]:sd a2, 168(ra)<br>    |
| 565|[0x8000a1c0]<br>0x3333333333333332|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                                         |[0x80005f70]:xor a2, a0, a1<br> [0x80005f74]:sd a2, 176(ra)<br>    |
| 566|[0x8000a1c8]<br>0x6666666666666661|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                                         |[0x80005f9c]:xor a2, a0, a1<br> [0x80005fa0]:sd a2, 184(ra)<br>    |
| 567|[0x8000a1d0]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                                                 |[0x80005fb8]:xor a2, a0, a1<br> [0x80005fbc]:sd a2, 192(ra)<br>    |
| 568|[0x8000a1d8]<br>0x00000000B504F332|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                                                  |[0x80005fd4]:xor a2, a0, a1<br> [0x80005fd8]:sd a2, 200(ra)<br>    |
| 569|[0x8000a1e0]<br>0x3333333333333337|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                                         |[0x80006000]:xor a2, a0, a1<br> [0x80006004]:sd a2, 208(ra)<br>    |
| 570|[0x8000a1e8]<br>0x6666666666666661|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x80006048]:xor a2, a0, a1<br> [0x8000604c]:sd a2, 216(ra)<br>    |
| 571|[0x8000a1f0]<br>0x999999999999999E|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x80006090]:xor a2, a0, a1<br> [0x80006094]:sd a2, 224(ra)<br>    |
| 572|[0x8000a1f8]<br>0x3333333333333331|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                                         |[0x800060bc]:xor a2, a0, a1<br> [0x800060c0]:sd a2, 232(ra)<br>    |
| 573|[0x8000a200]<br>0x0000000000000007|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x80006104]:xor a2, a0, a1<br> [0x80006108]:sd a2, 240(ra)<br>    |
| 574|[0x8000a208]<br>0x5555555555555552|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x8000614c]:xor a2, a0, a1<br> [0x80006150]:sd a2, 248(ra)<br>    |
| 575|[0x8000a210]<br>0xCCCCCCCC79C83FF9|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x80006184]:xor a2, a0, a1<br> [0x80006188]:sd a2, 256(ra)<br>    |
| 576|[0x8000a218]<br>0x333333338637C007|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                                                |[0x800061bc]:xor a2, a0, a1<br> [0x800061c0]:sd a2, 264(ra)<br>    |
| 577|[0x8000a220]<br>0x3333333333333336|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                                         |[0x800061e8]:xor a2, a0, a1<br> [0x800061ec]:sd a2, 272(ra)<br>    |
| 578|[0x8000a228]<br>0x6666666666666660|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x80006230]:xor a2, a0, a1<br> [0x80006234]:sd a2, 280(ra)<br>    |
| 579|[0x8000a230]<br>0x3333333333333334|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                                         |[0x8000625c]:xor a2, a0, a1<br> [0x80006260]:sd a2, 288(ra)<br>    |
| 580|[0x8000a238]<br>0x3333333333333330|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                                                         |[0x80006288]:xor a2, a0, a1<br> [0x8000628c]:sd a2, 296(ra)<br>    |
| 581|[0x8000a240]<br>0x0000000000000006|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x800062d0]:xor a2, a0, a1<br> [0x800062d4]:sd a2, 304(ra)<br>    |
| 582|[0x8000a248]<br>0x5555555555555551|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x80006318]:xor a2, a0, a1<br> [0x8000631c]:sd a2, 312(ra)<br>    |
| 583|[0x8000a250]<br>0x333333338637C006|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                                                |[0x80006350]:xor a2, a0, a1<br> [0x80006354]:sd a2, 320(ra)<br>    |
| 584|[0x8000a258]<br>0x6666666666666662|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x80006398]:xor a2, a0, a1<br> [0x8000639c]:sd a2, 328(ra)<br>    |
| 585|[0x8000a260]<br>0x999999999999999F|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x800063e0]:xor a2, a0, a1<br> [0x800063e4]:sd a2, 336(ra)<br>    |
| 586|[0x8000a268]<br>0x3333333333333332|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                                         |[0x8000640c]:xor a2, a0, a1<br> [0x80006410]:sd a2, 344(ra)<br>    |
| 587|[0x8000a270]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x80006454]:xor a2, a0, a1<br> [0x80006458]:sd a2, 352(ra)<br>    |
| 588|[0x8000a278]<br>0x5555555555555553|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x8000649c]:xor a2, a0, a1<br> [0x800064a0]:sd a2, 360(ra)<br>    |
| 589|[0x8000a280]<br>0xCCCCCCCC79C83FFA|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x800064d4]:xor a2, a0, a1<br> [0x800064d8]:sd a2, 368(ra)<br>    |
| 590|[0x8000a288]<br>0x333333338637C000|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                                                |[0x8000650c]:xor a2, a0, a1<br> [0x80006510]:sd a2, 376(ra)<br>    |
| 591|[0x8000a290]<br>0x6666666666666664|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                                         |[0x80006538]:xor a2, a0, a1<br> [0x8000653c]:sd a2, 384(ra)<br>    |
| 592|[0x8000a298]<br>0x3333333333333332|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                                       |[0x80006580]:xor a2, a0, a1<br> [0x80006584]:sd a2, 392(ra)<br>    |
| 593|[0x8000a2a0]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                                                      |[0x800065c8]:xor a2, a0, a1<br> [0x800065cc]:sd a2, 400(ra)<br>    |
| 594|[0x8000a2a8]<br>0x6666666666666662|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                                         |[0x800065f4]:xor a2, a0, a1<br> [0x800065f8]:sd a2, 408(ra)<br>    |
| 595|[0x8000a2b0]<br>0x5555555555555554|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                                       |[0x8000663c]:xor a2, a0, a1<br> [0x80006640]:sd a2, 416(ra)<br>    |
| 596|[0x8000a2b8]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                                       |[0x80006684]:xor a2, a0, a1<br> [0x80006688]:sd a2, 424(ra)<br>    |
| 597|[0x8000a2c0]<br>0x999999992C9D6AAA|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                                                               |[0x800066bc]:xor a2, a0, a1<br> [0x800066c0]:sd a2, 432(ra)<br>    |
| 598|[0x8000a2c8]<br>0x66666666D3629554|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                                                |[0x800066f4]:xor a2, a0, a1<br> [0x800066f8]:sd a2, 440(ra)<br>    |
| 599|[0x8000a2d0]<br>0x6666666666666665|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                                         |[0x80006720]:xor a2, a0, a1<br> [0x80006724]:sd a2, 448(ra)<br>    |
| 600|[0x8000a2d8]<br>0x3333333333333333|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                                       |[0x80006768]:xor a2, a0, a1<br> [0x8000676c]:sd a2, 456(ra)<br>    |
| 601|[0x8000a2e0]<br>0x6666666666666667|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                                         |[0x80006794]:xor a2, a0, a1<br> [0x80006798]:sd a2, 464(ra)<br>    |
| 602|[0x8000a2e8]<br>0x6666666666666663|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                                         |[0x800067c0]:xor a2, a0, a1<br> [0x800067c4]:sd a2, 472(ra)<br>    |
| 603|[0x8000a2f0]<br>0x5555555555555555|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                                       |[0x80006808]:xor a2, a0, a1<br> [0x8000680c]:sd a2, 480(ra)<br>    |
| 604|[0x8000a2f8]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                                       |[0x80006850]:xor a2, a0, a1<br> [0x80006854]:sd a2, 488(ra)<br>    |
| 605|[0x8000a300]<br>0x66666666D3629555|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                                                |[0x80006888]:xor a2, a0, a1<br> [0x8000688c]:sd a2, 496(ra)<br>    |
| 606|[0x8000a308]<br>0x3333333333333331|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                                       |[0x800068d0]:xor a2, a0, a1<br> [0x800068d4]:sd a2, 504(ra)<br>    |
| 607|[0x8000a310]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                                                      |[0x80006918]:xor a2, a0, a1<br> [0x8000691c]:sd a2, 512(ra)<br>    |
| 608|[0x8000a318]<br>0x6666666666666661|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                                         |[0x80006944]:xor a2, a0, a1<br> [0x80006948]:sd a2, 520(ra)<br>    |
| 609|[0x8000a320]<br>0x5555555555555553|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                                       |[0x8000698c]:xor a2, a0, a1<br> [0x80006990]:sd a2, 528(ra)<br>    |
| 610|[0x8000a328]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                                       |[0x800069d4]:xor a2, a0, a1<br> [0x800069d8]:sd a2, 536(ra)<br>    |
| 611|[0x8000a330]<br>0x999999992C9D6AA9|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                                                               |[0x80006a0c]:xor a2, a0, a1<br> [0x80006a10]:sd a2, 544(ra)<br>    |
| 612|[0x8000a338]<br>0x66666666D3629553|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                                                |[0x80006a44]:xor a2, a0, a1<br> [0x80006a48]:sd a2, 552(ra)<br>    |
| 613|[0x8000a340]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                                                 |[0x80006a60]:xor a2, a0, a1<br> [0x80006a64]:sd a2, 560(ra)<br>    |
| 614|[0x8000a348]<br>0xAAAAAAAA1FAE599B|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                                               |[0x80006a98]:xor a2, a0, a1<br> [0x80006a9c]:sd a2, 568(ra)<br>    |
| 615|[0x8000a350]<br>0x55555555E051A664|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                                              |[0x80006ad0]:xor a2, a0, a1<br> [0x80006ad4]:sd a2, 576(ra)<br>    |
| 616|[0x8000a358]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                                                 |[0x80006aec]:xor a2, a0, a1<br> [0x80006af0]:sd a2, 584(ra)<br>    |
| 617|[0x8000a360]<br>0xCCCCCCCC79C83FFD|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                                               |[0x80006b24]:xor a2, a0, a1<br> [0x80006b28]:sd a2, 592(ra)<br>    |
| 618|[0x8000a368]<br>0x999999992C9D6AA8|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                                               |[0x80006b5c]:xor a2, a0, a1<br> [0x80006b60]:sd a2, 600(ra)<br>    |
| 619|[0x8000a370]<br>0x0000000000000003|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                                                       |[0x80006b84]:xor a2, a0, a1<br> [0x80006b88]:sd a2, 608(ra)<br>    |
| 620|[0x8000a378]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                                                        |[0x80006bac]:xor a2, a0, a1<br> [0x80006bb0]:sd a2, 616(ra)<br>    |
| 621|[0x8000a380]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                                                 |[0x80006bc8]:xor a2, a0, a1<br> [0x80006bcc]:sd a2, 624(ra)<br>    |
| 622|[0x8000a388]<br>0xAAAAAAAA1FAE599A|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                                               |[0x80006c00]:xor a2, a0, a1<br> [0x80006c04]:sd a2, 632(ra)<br>    |
| 623|[0x8000a390]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                                                 |[0x80006c1c]:xor a2, a0, a1<br> [0x80006c20]:sd a2, 640(ra)<br>    |
| 624|[0x8000a398]<br>0xFFFFFFFF4AFB0CCA|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                                                 |[0x80006c38]:xor a2, a0, a1<br> [0x80006c3c]:sd a2, 648(ra)<br>    |
| 625|[0x8000a3a0]<br>0xCCCCCCCC79C83FFC|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                                               |[0x80006c70]:xor a2, a0, a1<br> [0x80006c74]:sd a2, 656(ra)<br>    |
| 626|[0x8000a3a8]<br>0x999999992C9D6AAB|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                                               |[0x80006ca8]:xor a2, a0, a1<br> [0x80006cac]:sd a2, 664(ra)<br>    |
| 627|[0x8000a3b0]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                                                        |[0x80006cd0]:xor a2, a0, a1<br> [0x80006cd4]:sd a2, 672(ra)<br>    |
| 628|[0x8000a3b8]<br>0xAAAAAAAA1FAE5998|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                                               |[0x80006d08]:xor a2, a0, a1<br> [0x80006d0c]:sd a2, 680(ra)<br>    |
| 629|[0x8000a3c0]<br>0x55555555E051A665|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                                              |[0x80006d40]:xor a2, a0, a1<br> [0x80006d44]:sd a2, 688(ra)<br>    |
| 630|[0x8000a3c8]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                                                 |[0x80006d5c]:xor a2, a0, a1<br> [0x80006d60]:sd a2, 696(ra)<br>    |
| 631|[0x8000a3d0]<br>0xCCCCCCCC79C83FFA|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                                               |[0x80006d94]:xor a2, a0, a1<br> [0x80006d98]:sd a2, 704(ra)<br>    |
| 632|[0x8000a3d8]<br>0x999999992C9D6AA9|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                                               |[0x80006dcc]:xor a2, a0, a1<br> [0x80006dd0]:sd a2, 712(ra)<br>    |
| 633|[0x8000a3e0]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                                                       |[0x80006df4]:xor a2, a0, a1<br> [0x80006df8]:sd a2, 720(ra)<br>    |
| 634|[0x8000a3e8]<br>0xFFFFFFFFFFFFFFFA|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                                                        |[0x80006e1c]:xor a2, a0, a1<br> [0x80006e20]:sd a2, 728(ra)<br>    |
| 635|[0x8000a3f0]<br>0x00000000B504F337|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                                                  |[0x80006e38]:xor a2, a0, a1<br> [0x80006e3c]:sd a2, 736(ra)<br>    |
| 636|[0x8000a3f8]<br>0x55555555E051A661|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                                                |[0x80006e70]:xor a2, a0, a1<br> [0x80006e74]:sd a2, 744(ra)<br>    |
| 637|[0x8000a400]<br>0xAAAAAAAA1FAE599E|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                                                               |[0x80006ea8]:xor a2, a0, a1<br> [0x80006eac]:sd a2, 752(ra)<br>    |
| 638|[0x8000a408]<br>0x00000000B504F331|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                                                  |[0x80006ec4]:xor a2, a0, a1<br> [0x80006ec8]:sd a2, 760(ra)<br>    |
| 639|[0x8000a410]<br>0x333333338637C007|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                                                |[0x80006efc]:xor a2, a0, a1<br> [0x80006f00]:sd a2, 768(ra)<br>    |
| 640|[0x8000a418]<br>0x66666666D3629552|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                                                |[0x80006f34]:xor a2, a0, a1<br> [0x80006f38]:sd a2, 776(ra)<br>    |
| 641|[0x8000a420]<br>0xFFFFFFFFFFFFFFF9|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                                                        |[0x80006f5c]:xor a2, a0, a1<br> [0x80006f60]:sd a2, 784(ra)<br>    |
| 642|[0x8000a428]<br>0x0000000000000007|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                                         |[0x80006f84]:xor a2, a0, a1<br> [0x80006f88]:sd a2, 792(ra)<br>    |
| 643|[0x8000a430]<br>0x00000000B504F336|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                                                  |[0x80006fa0]:xor a2, a0, a1<br> [0x80006fa4]:sd a2, 800(ra)<br>    |
| 644|[0x8000a438]<br>0x55555555E051A660|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                                                |[0x80006fd8]:xor a2, a0, a1<br> [0x80006fdc]:sd a2, 808(ra)<br>    |
| 645|[0x8000a440]<br>0x00000000B504F334|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                                                  |[0x80006ff4]:xor a2, a0, a1<br> [0x80006ff8]:sd a2, 816(ra)<br>    |
| 646|[0x8000a448]<br>0x00000000B504F330|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                                                  |[0x80007010]:xor a2, a0, a1<br> [0x80007014]:sd a2, 824(ra)<br>    |
| 647|[0x8000a450]<br>0x333333338637C006|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                                                |[0x80007048]:xor a2, a0, a1<br> [0x8000704c]:sd a2, 832(ra)<br>    |
| 648|[0x8000a458]<br>0x66666666D3629551|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                                                |[0x80007080]:xor a2, a0, a1<br> [0x80007084]:sd a2, 840(ra)<br>    |
| 649|[0x8000a460]<br>0x0000000000000006|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                                         |[0x800070a8]:xor a2, a0, a1<br> [0x800070ac]:sd a2, 848(ra)<br>    |
| 650|[0x8000a468]<br>0x55555555E051A662|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                                                |[0x800070e0]:xor a2, a0, a1<br> [0x800070e4]:sd a2, 856(ra)<br>    |
| 651|[0x8000a470]<br>0xAAAAAAAA1FAE599F|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                                                               |[0x80007118]:xor a2, a0, a1<br> [0x8000711c]:sd a2, 864(ra)<br>    |
| 652|[0x8000a478]<br>0x00000000B504F332|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                                                  |[0x80007134]:xor a2, a0, a1<br> [0x80007138]:sd a2, 872(ra)<br>    |
| 653|[0x8000a480]<br>0x333333338637C000|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                                                |[0x8000716c]:xor a2, a0, a1<br> [0x80007170]:sd a2, 880(ra)<br>    |
| 654|[0x8000a488]<br>0x66666666D3629553|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                                                |[0x800071a4]:xor a2, a0, a1<br> [0x800071a8]:sd a2, 888(ra)<br>    |
| 655|[0x8000a490]<br>0xFFFFFFFFFFFFFFFA|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                                                        |[0x800071cc]:xor a2, a0, a1<br> [0x800071d0]:sd a2, 896(ra)<br>    |
| 656|[0x8000a498]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                                         |[0x800071f4]:xor a2, a0, a1<br> [0x800071f8]:sd a2, 904(ra)<br>    |
| 657|[0x8000a4a0]<br>0x0000000000000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                                           |[0x80007204]:xor a2, a0, a1<br> [0x80007208]:sd a2, 912(ra)<br>    |
| 658|[0x8000a4a8]<br>0x5555555555555554|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                                         |[0x80007230]:xor a2, a0, a1<br> [0x80007234]:sd a2, 920(ra)<br>    |
| 659|[0x8000a4b0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                                           |[0x80007240]:xor a2, a0, a1<br> [0x80007244]:sd a2, 928(ra)<br>    |
| 660|[0x8000a4b8]<br>0x0000000000000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                                           |[0x80007250]:xor a2, a0, a1<br> [0x80007254]:sd a2, 936(ra)<br>    |
| 661|[0x8000a4c0]<br>0x3333333333333332|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                                         |[0x8000727c]:xor a2, a0, a1<br> [0x80007280]:sd a2, 944(ra)<br>    |
| 662|[0x8000a4c8]<br>0x6666666666666665|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                                         |[0x800072a8]:xor a2, a0, a1<br> [0x800072ac]:sd a2, 952(ra)<br>    |
| 663|[0x8000a4d0]<br>0x00000000B504F332|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                                                  |[0x800072c4]:xor a2, a0, a1<br> [0x800072c8]:sd a2, 960(ra)<br>    |
| 664|[0x8000a4d8]<br>0x5555555555555556|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                                         |[0x800072f0]:xor a2, a0, a1<br> [0x800072f4]:sd a2, 968(ra)<br>    |
| 665|[0x8000a4e0]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                                                                                                        |[0x8000731c]:xor a2, a0, a1<br> [0x80007320]:sd a2, 976(ra)<br>    |
| 666|[0x8000a4e8]<br>0x0000000000000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                                           |[0x8000732c]:xor a2, a0, a1<br> [0x80007330]:sd a2, 984(ra)<br>    |
| 667|[0x8000a4f0]<br>0x3333333333333334|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                                         |[0x80007358]:xor a2, a0, a1<br> [0x8000735c]:sd a2, 992(ra)<br>    |
| 668|[0x8000a4f8]<br>0x6666666666666667|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                                         |[0x80007384]:xor a2, a0, a1<br> [0x80007388]:sd a2, 1000(ra)<br>   |
| 669|[0x8000a520]<br>0x0000000000080400|- rs2_val == 1024<br>                                                                                                                                                                                                     |[0x800073f0]:xor a2, a0, a1<br> [0x800073f4]:sd a2, 1040(ra)<br>   |
